%let cty = ARG BGR BLZ CAN COL CYP CZE DEU ENG FRA
           GRC HKG HUN IRN ISL ISR ITA KWT LTU LVA
           MAR MDA MKD NLD NOR NZL ROM RUS SCO SGP
           SVK SVN SWE TUR USA SE3;

Options nosource nocenter;

LIBNAME libdat  "c:\pirls\Data" ;
LIBNAME library "c:\pirls\Data" ;

%macro doit;
  %let i = 1;
     %do %while(%length(%scan(&cty,&i)));
       %let ccode = %lowcase(%scan(&cty,&i));

%let fname= asr&ccode.r1 ;

FILENAME rawinp "c:\pirls\Data\&fname..dat" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions may need to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1250 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being created. ;
LENGTH DEFAULT=5 ;
LENGTH      IDBOOK     3 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDSCHOOL   4 ;
LENGTH      IDCLASS    6 ;
LENGTH      IDSTUD     8 ;
LENGTH      IDPOP      3 ;
LENGTH      IDGRADER   3 ;
LENGTH      INPRL01    3 ;
LENGTH      R011M04C   3 ;
LENGTH      R011M06C   3 ;
LENGTH      R011M07C   3 ;
LENGTH      R011M10C   3 ;
LENGTH      R011M11C   3 ;
LENGTH      R011M12C   3 ;
LENGTH      R011M14C   3 ;
LENGTH      R011C01C   3 ;
LENGTH      R011C02C   3 ;
LENGTH      R011C03C   3 ;
LENGTH      R011C06C   3 ;
LENGTH      R011C08C   3 ;
LENGTH      R011C10C   3 ;
LENGTH      R011C11C   3 ;
LENGTH      R011F06C   3 ;
LENGTH      R011F07C   3 ;
LENGTH      R011F08C   3 ;
LENGTH      R011F09C   3 ;
LENGTH      R011F10C   3 ;
LENGTH      R011F12C   3 ;
LENGTH      R011A01C   3 ;
LENGTH      R011A03C   3 ;
LENGTH      R011A04C   3 ;
LENGTH      R011A07C   3 ;
LENGTH      R011A08C   3 ;
LENGTH      R011A09C   3 ;
LENGTH      R011A11C   3 ;
LENGTH      R011L03C   3 ;
LENGTH      R011L04C   3 ;
LENGTH      R011L06C   3 ;
LENGTH      R011L08C   3 ;
LENGTH      R011L10C   3 ;
LENGTH      R011L12C   3 ;
LENGTH      R011R04C   3 ;
LENGTH      R011R05C   3 ;
LENGTH      R011R06C   3 ;
LENGTH      R011R07C   3 ;
LENGTH      R011R08C   3 ;
LENGTH      R011R09C   3 ;
LENGTH      R011R10C   3 ;
LENGTH      R011R11C   3 ;
LENGTH      R011H03C   3 ;
LENGTH      R011H04C   3 ;
LENGTH      R011H07C   3 ;
LENGTH      R011H08C   3 ;
LENGTH      R011H09C   3 ;
LENGTH      R011H10C   3 ;
LENGTH      R011N07C   3 ;
LENGTH      R011N08C   3 ;
LENGTH      R011N10C   3 ;
LENGTH      R011N12C   3 ;
LENGTH      R011N13C   3 ;
LENGTH      RR11M04C   3 ;
LENGTH      RR11M06C   3 ;
LENGTH      RR11M07C   3 ;
LENGTH      RR11M10C   3 ;
LENGTH      RR11M11C   3 ;
LENGTH      RR11M12C   3 ;
LENGTH      RR11M14C   3 ;
LENGTH      RR11C01C   3 ;
LENGTH      RR11C02C   3 ;
LENGTH      RR11C03C   3 ;
LENGTH      RR11C06C   3 ;
LENGTH      RR11C08C   3 ;
LENGTH      RR11C10C   3 ;
LENGTH      RR11C11C   3 ;
LENGTH      RR11F06C   3 ;
LENGTH      RR11F07C   3 ;
LENGTH      RR11F08C   3 ;
LENGTH      RR11F09C   3 ;
LENGTH      RR11F10C   3 ;
LENGTH      RR11F12C   3 ;
LENGTH      RR11A01C   3 ;
LENGTH      RR11A03C   3 ;
LENGTH      RR11A04C   3 ;
LENGTH      RR11A07C   3 ;
LENGTH      RR11A08C   3 ;
LENGTH      RR11A09C   3 ;
LENGTH      RR11A11C   3 ;
LENGTH      RR11L03C   3 ;
LENGTH      RR11L04C   3 ;
LENGTH      RR11L06C   3 ;
LENGTH      RR11L08C   3 ;
LENGTH      RR11L10C   3 ;
LENGTH      RR11L12C   3 ;
LENGTH      RR11R04C   3 ;
LENGTH      RR11R05C   3 ;
LENGTH      RR11R06C   3 ;
LENGTH      RR11R07C   3 ;
LENGTH      RR11R08C   3 ;
LENGTH      RR11R09C   3 ;
LENGTH      RR11R10C   3 ;
LENGTH      RR11R11C   3 ;
LENGTH      RR11H03C   3 ;
LENGTH      RR11H04C   3 ;
LENGTH      RR11H07C   3 ;
LENGTH      RR11H08C   3 ;
LENGTH      RR11H09C   3 ;
LENGTH      RR11H10C   3 ;
LENGTH      RR11N07C   3 ;
LENGTH      RR11N08C   3 ;
LENGTH      RR11N10C   3 ;
LENGTH      RR11N12C   3 ;
LENGTH      RR11N13C   3 ;
LENGTH      RI11M04C   3 ;
LENGTH      RI11M06C   3 ;
LENGTH      RI11M07C   3 ;
LENGTH      RI11M10C   3 ;
LENGTH      RI11M11C   3 ;
LENGTH      RI11M12C   3 ;
LENGTH      RI11M14C   3 ;
LENGTH      RI11C01C   3 ;
LENGTH      RI11C02C   3 ;
LENGTH      RI11C03C   3 ;
LENGTH      RI11C06C   3 ;
LENGTH      RI11C08C   3 ;
LENGTH      RI11C10C   3 ;
LENGTH      RI11C11C   3 ;
LENGTH      RI11F06C   3 ;
LENGTH      RI11F07C   3 ;
LENGTH      RI11F08C   3 ;
LENGTH      RI11F09C   3 ;
LENGTH      RI11F10C   3 ;
LENGTH      RI11F12C   3 ;
LENGTH      RI11A01C   3 ;
LENGTH      RI11A03C   3 ;
LENGTH      RI11A04C   3 ;
LENGTH      RI11A07C   3 ;
LENGTH      RI11A08C   3 ;
LENGTH      RI11A09C   3 ;
LENGTH      RI11A11C   3 ;
LENGTH      RI11L03C   3 ;
LENGTH      RI11L04C   3 ;
LENGTH      RI11L06C   3 ;
LENGTH      RI11L08C   3 ;
LENGTH      RI11L10C   3 ;
LENGTH      RI11L12C   3 ;
LENGTH      RI11R04C   3 ;
LENGTH      RI11R05C   3 ;
LENGTH      RI11R06C   3 ;
LENGTH      RI11R07C   3 ;
LENGTH      RI11R08C   3 ;
LENGTH      RI11R09C   3 ;
LENGTH      RI11R10C   3 ;
LENGTH      RI11R11C   3 ;
LENGTH      RI11H03C   3 ;
LENGTH      RI11H04C   3 ;
LENGTH      RI11H07C   3 ;
LENGTH      RI11H08C   3 ;
LENGTH      RI11H09C   3 ;
LENGTH      RI11H10C   3 ;
LENGTH      RI11N07C   3 ;
LENGTH      RI11N08C   3 ;
LENGTH      RI11N10C   3 ;
LENGTH      RI11N12C   3 ;
LENGTH      RI11N13C   3 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "logically not applicable" values ;
%PUT INFO: Missing category R refers to "not reached" items ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  IDBOOK        1-   2     
  IDCNTRY       3-   7     
  IDSCHOOL      8-  11     
  IDCLASS      12-  17     
  IDSTUD       18-  25     
  IDPOP        26-  26     
  IDGRADER     27-  27     
  INPRL01      28-  28     
  R011M04C     29-  29     
  R011M06C     30-  30     
  R011M07C     31-  31     
  R011M10C     32-  32     
  R011M11C     33-  33     
  R011M12C     34-  34     
  R011M14C     35-  35     
  R011C01C     36-  36     
  R011C02C     37-  37     
  R011C03C     38-  38     
  R011C06C     39-  39     
  R011C08C     40-  40     
  R011C10C     41-  41     
  R011C11C     42-  42     
  R011F06C     43-  43     
  R011F07C     44-  44     
  R011F08C     45-  45     
  R011F09C     46-  46     
  R011F10C     47-  47     
  R011F12C     48-  48     
  R011A01C     49-  49     
  R011A03C     50-  50     
  R011A04C     51-  51     
  R011A07C     52-  52     
  R011A08C     53-  53     
  R011A09C     54-  54     
  R011A11C     55-  55     
  R011L03C     56-  56     
  R011L04C     57-  57     
  R011L06C     58-  58     
  R011L08C     59-  59     
  R011L10C     60-  60     
  R011L12C     61-  61     
  R011R04C     62-  62     
  R011R05C     63-  63     
  R011R06C     64-  64     
  R011R07C     65-  65     
  R011R08C     66-  66     
  R011R09C     67-  67     
  R011R10C     68-  68     
  R011R11C     69-  69     
  R011H03C     70-  70     
  R011H04C     71-  71     
  R011H07C     72-  72     
  R011H08C     73-  73     
  R011H09C     74-  74     
  R011H10C     75-  75     
  R011N07C     76-  76     
  R011N08C     77-  77     
  R011N10C     78-  78     
  R011N12C     79-  79     
  R011N13C     80-  80     
  RR11M04C     81-  81     
  RR11M06C     82-  82     
  RR11M07C     83-  83     
  RR11M10C     84-  84     
  RR11M11C     85-  85     
  RR11M12C     86-  86     
  RR11M14C     87-  87     
  RR11C01C     88-  88     
  RR11C02C     89-  89     
  RR11C03C     90-  90     
  RR11C06C     91-  91     
  RR11C08C     92-  92     
  RR11C10C     93-  93     
  RR11C11C     94-  94     
  RR11F06C     95-  95     
  RR11F07C     96-  96     
  RR11F08C     97-  97     
  RR11F09C     98-  98     
  RR11F10C     99-  99     
  RR11F12C    100- 100     
  RR11A01C    101- 101     
  RR11A03C    102- 102     
  RR11A04C    103- 103     
  RR11A07C    104- 104     
  RR11A08C    105- 105     
  RR11A09C    106- 106     
  RR11A11C    107- 107     
  RR11L03C    108- 108     
  RR11L04C    109- 109     
  RR11L06C    110- 110     
  RR11L08C    111- 111     
  RR11L10C    112- 112     
  RR11L12C    113- 113     
  RR11R04C    114- 114     
  RR11R05C    115- 115     
  RR11R06C    116- 116     
  RR11R07C    117- 117     
  RR11R08C    118- 118     
  RR11R09C    119- 119     
  RR11R10C    120- 120     
  RR11R11C    121- 121     
  RR11H03C    122- 122     
  RR11H04C    123- 123     
  RR11H07C    124- 124     
  RR11H08C    125- 125     
  RR11H09C    126- 126     
  RR11H10C    127- 127     
  RR11N07C    128- 128     
  RR11N08C    129- 129     
  RR11N10C    130- 130     
  RR11N12C    131- 131     
  RR11N13C    132- 132     
  RI11M04C    133- 134     
  RI11M06C    135- 136     
  RI11M07C    137- 138     
  RI11M10C    139- 140     
  RI11M11C    141- 142     
  RI11M12C    143- 144     
  RI11M14C    145- 146     
  RI11C01C    147- 148     
  RI11C02C    149- 150     
  RI11C03C    151- 152     
  RI11C06C    153- 154     
  RI11C08C    155- 156     
  RI11C10C    157- 158     
  RI11C11C    159- 160     
  RI11F06C    161- 162     
  RI11F07C    163- 164     
  RI11F08C    165- 166     
  RI11F09C    167- 168     
  RI11F10C    169- 170     
  RI11F12C    171- 172     
  RI11A01C    173- 174     
  RI11A03C    175- 176     
  RI11A04C    177- 178     
  RI11A07C    179- 180     
  RI11A08C    181- 182     
  RI11A09C    183- 184     
  RI11A11C    185- 186     
  RI11L03C    187- 188     
  RI11L04C    189- 190     
  RI11L06C    191- 192     
  RI11L08C    193- 194     
  RI11L10C    195- 196     
  RI11L12C    197- 198     
  RI11R04C    199- 200     
  RI11R05C    201- 202     
  RI11R06C    203- 204     
  RI11R07C    205- 206     
  RI11R08C    207- 208     
  RI11R09C    209- 210     
  RI11R10C    211- 212     
  RI11R11C    213- 214     
  RI11H03C    215- 216     
  RI11H04C    217- 218     
  RI11H07C    219- 220     
  RI11H08C    221- 222     
  RI11H09C    223- 224     
  RI11H10C    225- 226     
  RI11N07C    227- 228     
  RI11N08C    229- 230     
  RI11N10C    231- 232     
  RI11N12C    233- 234     
  RI11N13C    235- 236     
  DPCDATE     237- 242     
;

%PUT INFO: assign labels to variables ;
LABEL
  IDBOOK   = "*BOOKLET ID*"
  IDCNTRY  = "*COUNTRY ID*"
  IDSCHOOL = "*SCHOOL ID*"
  IDCLASS  = "*CLASS ID*"
  IDSTUD   = "*STUDENT ID*"
  IDPOP    = "POPULATION INDICATOR"
  IDGRADER = "LOWER/UPPER OF TARGET GRADE"
  INPRL01  = "INDICATOR VARIABLE"
  R011M04C = "ASA/MICE/REASON LABON SMILED(1)"
  R011M06C = "ASA/MICE/PLACE MICE THOUGHT ABOUT STANDG(2)"
  R011M07C = "ASA/MICE/SENTENCE THAT SHOWS PANIC(1)"
  R011M10C = "ASA/MICE/PLACE LABON PUT THE MICE(1)"
  R011M11C = "ASA/MICE/MICE WERE EASY TO FOOL(1)"
  R011M12C = "ASA/MICE/WHAT LABON IS LIKE(3)"
  R011M14C = "ASA/MICE/WHAT MAKES STORY UNBELIEVABLE(1)"
  R011C01C = "ASA/CLAY/ORDER OF EVENTS IN STORY(1)"
  R011C02C = "ASA/CLAY/CLAY WAS IN BIN FOR SO LONG(1)"
  R011C03C = "ASA/CLAY/CLAYS WISH(1)"
  R011C06C = "ASA/CLAY/BOY LEFT LUMP OF CLAY IN DANGER(1)"
  R011C08C = "ASA/CLAY/WONDERFUL THING THAT HAPPENED(2)"
  R011C10C = "ASA/CLAY/CLAYS DIFFERENT FEELINGS(3)"
  R011C11C = "ASA/CLAY/LITTLE GIRL=IMPORTANT PERSON(2)"
  R011F06C = "ASA/FLOWERS/GRANNY SCREAMED(1)"
  R011F07C = "ASA/FLOWERS/GRANNY CROUCHED DOWN(2)"
  R011F08C = "ASA/FLOWERS/GRANNY WINKED AND GRINNED(1)"
  R011F09C = "ASA/FLOWERS/GRANNY MADE NEW FLAT LK HOME(2)"
  R011F10C = "ASA/FLOWERS/HOW GRANNY FEELS AT THE END(1)"
  R011F12C = "ASA/FLOWERS/LITTLE BOYS FEELINGS(3)"
  R011A01C = "ASA/ANTARCTICA/LOCATION OF ANTARCTICA(1)"
  R011A03C = "ASA/ANTARCTICA/COLDEST PART OF ANTARCTICA(1)"
  R011A04C = "ASA/ANTARCTICA/REASONS FOR VISITING-TIME(2)"
  R011A07C = "ASA/ANTARCTICA/WAYS PENGUINS KEEP WARM(3)"
  R011A08C = "ASA/ANTARCTICA/FOOD IN ANTARCTICA(2)"
  R011A09C = "ASA/ANTARCTICA/WHETHER U WOULD LK 2 VISIT(2)"
  R011A11C = "ASA/ANTARCTICA/INTERESTING INFORMATION(1)"
  R011L03C = "ASA/LEONARDO/REASON VERROCCHIO WAS FAMOUS(1)"
  R011L04C = "ASA/LEONARDO/WHAT DA VINCI LEARNED FR HIM(3)"
  R011L06C = "ASA/LEONARDO/REASON 4 NOTEBKS IMPORTANCE(1)"
  R011L08C = "ASA/LEONARDO/WHAT STUDIED IN NATURE(2)"
  R011L10C = "ASA/LEONARDO/HOW WAS HE AHEAD OF HIS TIME(2)"
  R011L12C = "ASA/LEONARDO/AUTHORS OPINION OF LEONARDO(2)"
  R011R04C = "ASA/RIVER/ORDER OF PLACES ON TRAIL(1)"
  R011R05C = "ASA/RIVER/COST FOR 10 YEAR OLD/FULL DAY(1)"
  R011R06C = "ASA/RIVER/EQUIPMENT FOR CHILDREN(2)"
  R011R07C = "ASA/RIVER/INFO ABOUT BIKES GOOD CONDITION(1)"
  R011R08C = "ASA/RIVER/BIKES FAMILY WOULD NEED(2)"
  R011R09C = "ASA/RIVER/PLACES FAMILY COULD VISIT(2)"
  R011R10C = "ASA/RIVER/MATCH UP CHILDRENS COMMENTS 2 LOC.(3)"
  R011R11C = "ASA/RIVER/MATCH UP QUESTIONS TO PLACES(3)"
  R011H03C = "ASA/HARE/WORDS 4 QUICKLY HAPPENED THINGS(2)"
  R011H04C = "ASA/HARE/PLACE LION WANTED HARE TAKG HIM(1)"
  R011H07C = "ASA/HARE/HOW LION TRIED HARE FEEL BETTER(2)"
  R011H08C = "ASA/HARE/WHETHER LION LIKED HARE(1)"
  R011H09C = "ASA/HARE/HOW HARES FEELINGS CHANGED(2)"
  R011H10C = "ASA/HARE/HOW LION AND HARE ARE DIFFERENT(3)"
  R011N07C = "ASA/PUFFLINGS/HOW HALLA USES THE TORCH(2)"
  R011N08C = "ASA/PUFFLINGS/HALLAS USE CARDBOARD BOXES(2)"
  R011N10C = "ASA/PUFFLINGS/WHY IT NEEDS DAYLIGHT(1)"
  R011N12C = "ASA/PUFFLINGS/HALLAS DIFFERENT FEELINGS(2)"
  R011N13C = "ASA/PUFFLINGS/WOULD STD LK 2 GO W HALLA(2)"
  RR11M04C = "ASR/MICE/REASON LABON SMILED(1)"
  RR11M06C = "ASR/MICE/PLACE MICE THOUGHT ABOUT STANDG(2)"
  RR11M07C = "ASR/MICE/SENTENCE THAT SHOWS PANIC(1)"
  RR11M10C = "ASR/MICE/PLACE LABON PUT THE MICE(1)"
  RR11M11C = "ASR/MICE/MICE WERE EASY TO FOOL(1)"
  RR11M12C = "ASR/MICE/WHAT LABON IS LIKE(3)"
  RR11M14C = "ASR/MICE/WHAT MAKES STORY UNBELIEVABLE(1)"
  RR11C01C = "ASR/CLAY/ORDER OF EVENTS IN STORY(1)"
  RR11C02C = "ASR/CLAY/CLAY WAS IN BIN FOR SO LONG(1)"
  RR11C03C = "ASR/CLAY/CLAYS WISH(1)"
  RR11C06C = "ASR/CLAY/BOY LEFT LUMP OF CLAY IN DANGER(1)"
  RR11C08C = "ASR/CLAY/WONDERFUL THING THAT HAPPENED(2)"
  RR11C10C = "ASR/CLAY/CLAYS DIFFERENT FEELINGS(3)"
  RR11C11C = "ASR/CLAY/LITTLE GIRL=IMPORTANT PERSON(2)"
  RR11F06C = "ASR/FLOWERS/GRANNY SCREAMED(1)"
  RR11F07C = "ASR/FLOWERS/GRANNY CROUCHED DOWN(2)"
  RR11F08C = "ASR/FLOWERS/GRANNY WINKED AND GRINNED(1)"
  RR11F09C = "ASR/FLOWERS/GRANNY MADE NEW FLAT LK HOME(2)"
  RR11F10C = "ASR/FLOWERS/HOW GRANNY FEELS AT THE END(1)"
  RR11F12C = "ASR/FLOWERS/LITTLE BOYS FEELINGS(3)"
  RR11A01C = "ASR/ANTARCTICA/LOCATION OF ANTARCTICA(1)"
  RR11A03C = "ASR/ANTARCTICA/COLDEST PART OF ANTARCTICA(1)"
  RR11A04C = "ASR/ANTARCTICA/REASONS FOR VISITING-TIME(2)"
  RR11A07C = "ASR/ANTARCTICA/WAYS PENGUINS KEEP WARM(3)"
  RR11A08C = "ASR/ANTARCTICA/FOOD IN ANTARCTICA(2)"
  RR11A09C = "ASR/ANTARCTICA/WHETHER U WOULD LK 2 VISIT(2)"
  RR11A11C = "ASR/ANTARCTICA/INTERESTING INFORMATION(1)"
  RR11L03C = "ASR/LEONARDO/REASON VERROCCHIO WAS FAMOUS(1)"
  RR11L04C = "ASR/LEONARDO/WHAT DA VINCI LEARNED FR HIM(3)"
  RR11L06C = "ASR/LEONARDO/REASON 4 NOTEBKS IMPORTANCE(1)"
  RR11L08C = "ASR/LEONARDO/WHAT STUDIED IN NATURE(2)"
  RR11L10C = "ASR/LEONARDO/HOW WAS HE AHEAD OF HIS TIME(2)"
  RR11L12C = "ASR/LEONARDO/AUTHORS OPINION OF LEONARDO(2)"
  RR11R04C = "ASR/RIVER/ORDER OF PLACES ON TRAIL(1)"
  RR11R05C = "ASR/RIVER/COST FOR 10 YEAR OLD/FULL DAY(1)"
  RR11R06C = "ASR/RIVER/EQUIPMENT FOR CHILDREN(2)"
  RR11R07C = "ASR/RIVER/INFO ABOUT BIKES GOOD CONDITION(1)"
  RR11R08C = "ASR/RIVER/BIKES FAMILY WOULD NEED(2)"
  RR11R09C = "ASR/RIVER/PLACES FAMILY COULD VISIT(2)"
  RR11R10C = "ASR/RIVER/MATCH UP CHILDRENS COMMENTS 2 LOC.(3)"
  RR11R11C = "ASR/RIVER/MATCH UP QUESTIONS TO PLACES(3)"
  RR11H03C = "ASR/HARE/WORDS 4 QUICKLY HAPPENED THINGS(2)"
  RR11H04C = "ASR/HARE/PLACE LION WANTED HARE TAKG HIM(1)"
  RR11H07C = "ASR/HARE/HOW LION TRIED HARE FEEL BETTER(2)"
  RR11H08C = "ASR/HARE/WHETHER LION LIKED HARE(1)"
  RR11H09C = "ASR/HARE/HOW HARES FEELINGS CHANGED(2)"
  RR11H10C = "ASR/HARE/HOW LION AND HARE ARE DIFFERENT(3)"
  RR11N07C = "ASR/PUFFLINGS/HOW HALLA USES THE TORCH(2)"
  RR11N08C = "ASR/PUFFLINGS/HALLAS USE CARDBOARD BOXES(2)"
  RR11N10C = "ASR/PUFFLINGS/WHY IT NEEDS DAYLIGHT(1)"
  RR11N12C = "ASR/PUFFLINGS/HALLAS DIFFERENT FEELINGS(2)"
  RR11N13C = "ASR/PUFFLINGS/WOULD STD LK 2 GO W HALLA(2)"
  RI11M04C = "INDEX/MICE/REASON LABON SMILED(1)"
  RI11M06C = "INDEX/MICE/PLACE MICE THOUGHT ABOUT STANDG(2)"
  RI11M07C = "INDEX/MICE/SENTENCE THAT SHOWS PANIC(1)"
  RI11M10C = "INDEX/MICE/PLACE LABON PUT THE MICE(1)"
  RI11M11C = "INDEX/MICE/MICE WERE EASY TO FOOL(1)"
  RI11M12C = "INDEX/MICE/WHAT LABON IS LIKE(3)"
  RI11M14C = "INDEX/MICE/WHAT MAKES STORY UNBELIEVABLE(1)"
  RI11C01C = "INDEX/CLAY/ORDER OF EVENTS IN STORY(1)"
  RI11C02C = "INDEX/CLAY/CLAY WAS IN BIN FOR SO LONG(1)"
  RI11C03C = "INDEX/CLAY/CLAYS WISH(1)"
  RI11C06C = "INDEX/CLAY/BOY LEFT LUMP OF CLAY IN DANGER(1)"
  RI11C08C = "INDEX/CLAY/WONDERFUL THING THAT HAPPENED(2)"
  RI11C10C = "INDEX/CLAY/CLAYS DIFFERENT FEELINGS(3)"
  RI11C11C = "INDEX/CLAY/LITTLE GIRL=IMPORTANT PERSON(2)"
  RI11F06C = "INDEX/FLOWERS/GRANNY SCREAMED(1)"
  RI11F07C = "INDEX/FLOWERS/GRANNY CROUCHED DOWN(2)"
  RI11F08C = "INDEX/FLOWERS/GRANNY WINKED AND GRINNED(1)"
  RI11F09C = "INDEX/FLOWERS/GRANNY MADE NEW FLAT LK HOME(2)"
  RI11F10C = "INDEX/FLOWERS/HOW GRANNY FEELS AT THE END(1)"
  RI11F12C = "INDEX/FLOWERS/LITTLE BOYS FEELINGS(3)"
  RI11A01C = "INDEX/ANTARCTICA/LOCATION OF ANTARCTICA(1)"
  RI11A03C = "INDEX/ANTARCTICA/COLDEST PART OF ANTARCTICA(1)"
  RI11A04C = "INDEX/ANTARCTICA/REASONS FOR VISITING-TIME(2)"
  RI11A07C = "INDEX/ANTARCTICA/WAYS PENGUINS KEEP WARM(3)"
  RI11A08C = "INDEX/ANTARCTICA/FOOD IN ANTARCTICA(2)"
  RI11A09C = "INDEX/ANTARCTICA/WHETHER U WOULD LK 2 VISIT(2)"
  RI11A11C = "INDEX/ANTARCTICA/INTERESTING INFORMATION(1)"
  RI11L03C = "INDEX/LEONARDO/REASON VERROCCHIO WAS FAMOUS(1)"
  RI11L04C = "INDEX/LEONARDO/WHAT DA VINCI LEARNED FR HIM(3)"
  RI11L06C = "INDEX/LEONARDO/REASON 4 NOTEBKS IMPORTANCE(1)"
  RI11L08C = "INDEX/LEONARDO/WHAT STUDIED IN NATURE(2)"
  RI11L10C = "INDEX/LEONARDO/HOW WAS HE AHEAD OF HIS TIME(2)"
  RI11L12C = "INDEX/LEONARDO/AUTHORS OPINION OF LEONARDO(2)"
  RI11R04C = "INDEX/RIVER/ORDER OF PLACES ON TRAIL(1)"
  RI11R05C = "INDEX/RIVER/COST FOR 10 YEAR OLD/FULL DAY(1)"
  RI11R06C = "INDEX/RIVER/EQUIPMENT FOR CHILDREN(2)"
  RI11R07C = "INDEX/RIVER/INFO ABOUT BIKES GOOD CONDITION(1)"
  RI11R08C = "INDEX/RIVER/BIKES FAMILY WOULD NEED(2)"
  RI11R09C = "INDEX/RIVER/PLACES FAMILY COULD VISIT(2)"
  RI11R10C = "INDEX/RIVER/MATCH UP CHILDRENS COMMENTS 2 LOC.(3)"
  RI11R11C = "INDEX/RIVER/MATCH UP QUESTIONS TO PLACES(3)"
  RI11H03C = "INDEX/HARE/WORDS 4 QUICKLY HAPPENED THINGS(2)"
  RI11H04C = "INDEX/HARE/PLACE LION WANTED HARE TAKG HIM(1)"
  RI11H07C = "INDEX/HARE/HOW LION TRIED HARE FEEL BETTER(2)"
  RI11H08C = "INDEX/HARE/WHETHER LION LIKED HARE(1)"
  RI11H09C = "INDEX/HARE/HOW HARES FEELINGS CHANGED(2)"
  RI11H10C = "INDEX/HARE/HOW LION AND HARE ARE DIFFERENT(3)"
  RI11N07C = "INDEX/PUFFLINGS/HOW HALLA USES THE TORCH(2)"
  RI11N08C = "INDEX/PUFFLINGS/HALLAS USE CARDBOARD BOXES(2)"
  RI11N10C = "INDEX/PUFFLINGS/WHY IT NEEDS DAYLIGHT(1)"
  RI11N12C = "INDEX/PUFFLINGS/HALLAS DIFFERENT FEELINGS(2)"
  RI11N13C = "INDEX/PUFFLINGS/WOULD STD LK 2 GO W HALLA(2)"
  DPCDATE  = "DATE OF CREATION AT DPC"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF IDPOP    = 8                THEN IDPOP    = .A ;
IF IDGRADER = 8                THEN IDGRADER = .A ;
IF INPRL01  = 8                THEN INPRL01  = .A ;
IF R011M04C = 8                THEN R011M04C = .A ;
IF R011M06C = 8                THEN R011M06C = .A ;
IF R011M07C = 8                THEN R011M07C = .A ;
IF R011M10C = 8                THEN R011M10C = .A ;
IF R011M11C = 8                THEN R011M11C = .A ;
IF R011M12C = 8                THEN R011M12C = .A ;
IF R011M14C = 8                THEN R011M14C = .A ;
IF R011C01C = 8                THEN R011C01C = .A ;
IF R011C02C = 8                THEN R011C02C = .A ;
IF R011C03C = 8                THEN R011C03C = .A ;
IF R011C06C = 8                THEN R011C06C = .A ;
IF R011C08C = 8                THEN R011C08C = .A ;
IF R011C10C = 8                THEN R011C10C = .A ;
IF R011C11C = 8                THEN R011C11C = .A ;
IF R011F06C = 8                THEN R011F06C = .A ;
IF R011F07C = 8                THEN R011F07C = .A ;
IF R011F08C = 8                THEN R011F08C = .A ;
IF R011F09C = 8                THEN R011F09C = .A ;
IF R011F10C = 8                THEN R011F10C = .A ;
IF R011F12C = 8                THEN R011F12C = .A ;
IF R011A01C = 8                THEN R011A01C = .A ;
IF R011A03C = 8                THEN R011A03C = .A ;
IF R011A04C = 8                THEN R011A04C = .A ;
IF R011A07C = 8                THEN R011A07C = .A ;
IF R011A08C = 8                THEN R011A08C = .A ;
IF R011A09C = 8                THEN R011A09C = .A ;
IF R011A11C = 8                THEN R011A11C = .A ;
IF R011L03C = 8                THEN R011L03C = .A ;
IF R011L04C = 8                THEN R011L04C = .A ;
IF R011L06C = 8                THEN R011L06C = .A ;
IF R011L08C = 8                THEN R011L08C = .A ;
IF R011L10C = 8                THEN R011L10C = .A ;
IF R011L12C = 8                THEN R011L12C = .A ;
IF R011R04C = 8                THEN R011R04C = .A ;
IF R011R05C = 8                THEN R011R05C = .A ;
IF R011R06C = 8                THEN R011R06C = .A ;
IF R011R07C = 8                THEN R011R07C = .A ;
IF R011R08C = 8                THEN R011R08C = .A ;
IF R011R09C = 8                THEN R011R09C = .A ;
IF R011R10C = 8                THEN R011R10C = .A ;
IF R011R11C = 8                THEN R011R11C = .A ;
IF R011H03C = 8                THEN R011H03C = .A ;
IF R011H04C = 8                THEN R011H04C = .A ;
IF R011H07C = 8                THEN R011H07C = .A ;
IF R011H08C = 8                THEN R011H08C = .A ;
IF R011H09C = 8                THEN R011H09C = .A ;
IF R011H10C = 8                THEN R011H10C = .A ;
IF R011N07C = 8                THEN R011N07C = .A ;
IF R011N08C = 8                THEN R011N08C = .A ;
IF R011N10C = 8                THEN R011N10C = .A ;
IF R011N12C = 8                THEN R011N12C = .A ;
IF R011N13C = 8                THEN R011N13C = .A ;
IF RR11M04C = 8                THEN RR11M04C = .A ;
IF RR11M06C = 8                THEN RR11M06C = .A ;
IF RR11M07C = 8                THEN RR11M07C = .A ;
IF RR11M10C = 8                THEN RR11M10C = .A ;
IF RR11M11C = 8                THEN RR11M11C = .A ;
IF RR11M12C = 8                THEN RR11M12C = .A ;
IF RR11M14C = 8                THEN RR11M14C = .A ;
IF RR11C01C = 8                THEN RR11C01C = .A ;
IF RR11C02C = 8                THEN RR11C02C = .A ;
IF RR11C03C = 8                THEN RR11C03C = .A ;
IF RR11C06C = 8                THEN RR11C06C = .A ;
IF RR11C08C = 8                THEN RR11C08C = .A ;
IF RR11C10C = 8                THEN RR11C10C = .A ;
IF RR11C11C = 8                THEN RR11C11C = .A ;
IF RR11F06C = 8                THEN RR11F06C = .A ;
IF RR11F07C = 8                THEN RR11F07C = .A ;
IF RR11F08C = 8                THEN RR11F08C = .A ;
IF RR11F09C = 8                THEN RR11F09C = .A ;
IF RR11F10C = 8                THEN RR11F10C = .A ;
IF RR11F12C = 8                THEN RR11F12C = .A ;
IF RR11A01C = 8                THEN RR11A01C = .A ;
IF RR11A03C = 8                THEN RR11A03C = .A ;
IF RR11A04C = 8                THEN RR11A04C = .A ;
IF RR11A07C = 8                THEN RR11A07C = .A ;
IF RR11A08C = 8                THEN RR11A08C = .A ;
IF RR11A09C = 8                THEN RR11A09C = .A ;
IF RR11A11C = 8                THEN RR11A11C = .A ;
IF RR11L03C = 8                THEN RR11L03C = .A ;
IF RR11L04C = 8                THEN RR11L04C = .A ;
IF RR11L06C = 8                THEN RR11L06C = .A ;
IF RR11L08C = 8                THEN RR11L08C = .A ;
IF RR11L10C = 8                THEN RR11L10C = .A ;
IF RR11L12C = 8                THEN RR11L12C = .A ;
IF RR11R04C = 8                THEN RR11R04C = .A ;
IF RR11R05C = 8                THEN RR11R05C = .A ;
IF RR11R06C = 8                THEN RR11R06C = .A ;
IF RR11R07C = 8                THEN RR11R07C = .A ;
IF RR11R08C = 8                THEN RR11R08C = .A ;
IF RR11R09C = 8                THEN RR11R09C = .A ;
IF RR11R10C = 8                THEN RR11R10C = .A ;
IF RR11R11C = 8                THEN RR11R11C = .A ;
IF RR11H03C = 8                THEN RR11H03C = .A ;
IF RR11H04C = 8                THEN RR11H04C = .A ;
IF RR11H07C = 8                THEN RR11H07C = .A ;
IF RR11H08C = 8                THEN RR11H08C = .A ;
IF RR11H09C = 8                THEN RR11H09C = .A ;
IF RR11H10C = 8                THEN RR11H10C = .A ;
IF RR11N07C = 8                THEN RR11N07C = .A ;
IF RR11N08C = 8                THEN RR11N08C = .A ;
IF RR11N10C = 8                THEN RR11N10C = .A ;
IF RR11N12C = 8                THEN RR11N12C = .A ;
IF RR11N13C = 8                THEN RR11N13C = .A ;
IF RI11M04C = 98               THEN RI11M04C = .A ;
IF RI11M06C = 98               THEN RI11M06C = .A ;
IF RI11M07C = 98               THEN RI11M07C = .A ;
IF RI11M10C = 98               THEN RI11M10C = .A ;
IF RI11M11C = 98               THEN RI11M11C = .A ;
IF RI11M12C = 98               THEN RI11M12C = .A ;
IF RI11M14C = 98               THEN RI11M14C = .A ;
IF RI11C01C = 98               THEN RI11C01C = .A ;
IF RI11C02C = 98               THEN RI11C02C = .A ;
IF RI11C03C = 98               THEN RI11C03C = .A ;
IF RI11C06C = 98               THEN RI11C06C = .A ;
IF RI11C08C = 98               THEN RI11C08C = .A ;
IF RI11C10C = 98               THEN RI11C10C = .A ;
IF RI11C11C = 98               THEN RI11C11C = .A ;
IF RI11F06C = 98               THEN RI11F06C = .A ;
IF RI11F07C = 98               THEN RI11F07C = .A ;
IF RI11F08C = 98               THEN RI11F08C = .A ;
IF RI11F09C = 98               THEN RI11F09C = .A ;
IF RI11F10C = 98               THEN RI11F10C = .A ;
IF RI11F12C = 98               THEN RI11F12C = .A ;
IF RI11A01C = 98               THEN RI11A01C = .A ;
IF RI11A03C = 98               THEN RI11A03C = .A ;
IF RI11A04C = 98               THEN RI11A04C = .A ;
IF RI11A07C = 98               THEN RI11A07C = .A ;
IF RI11A08C = 98               THEN RI11A08C = .A ;
IF RI11A09C = 98               THEN RI11A09C = .A ;
IF RI11A11C = 98               THEN RI11A11C = .A ;
IF RI11L03C = 98               THEN RI11L03C = .A ;
IF RI11L04C = 98               THEN RI11L04C = .A ;
IF RI11L06C = 98               THEN RI11L06C = .A ;
IF RI11L08C = 98               THEN RI11L08C = .A ;
IF RI11L10C = 98               THEN RI11L10C = .A ;
IF RI11L12C = 98               THEN RI11L12C = .A ;
IF RI11R04C = 98               THEN RI11R04C = .A ;
IF RI11R05C = 98               THEN RI11R05C = .A ;
IF RI11R06C = 98               THEN RI11R06C = .A ;
IF RI11R07C = 98               THEN RI11R07C = .A ;
IF RI11R08C = 98               THEN RI11R08C = .A ;
IF RI11R09C = 98               THEN RI11R09C = .A ;
IF RI11R10C = 98               THEN RI11R10C = .A ;
IF RI11R11C = 98               THEN RI11R11C = .A ;
IF RI11H03C = 98               THEN RI11H03C = .A ;
IF RI11H04C = 98               THEN RI11H04C = .A ;
IF RI11H07C = 98               THEN RI11H07C = .A ;
IF RI11H08C = 98               THEN RI11H08C = .A ;
IF RI11H09C = 98               THEN RI11H09C = .A ;
IF RI11H10C = 98               THEN RI11H10C = .A ;
IF RI11N07C = 98               THEN RI11N07C = .A ;
IF RI11N08C = 98               THEN RI11N08C = .A ;
IF RI11N10C = 98               THEN RI11N10C = .A ;
IF RI11N12C = 98               THEN RI11N12C = .A ;
IF RI11N13C = 98               THEN RI11N13C = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes;

IF R011M04C = 6                THEN R011M04C = .R ;
IF R011M04C = 7                THEN R011M04C = .I ;
IF R011M06C = 6                THEN R011M06C = .R ;
IF R011M06C = 7                THEN R011M06C = .I ;
IF R011M07C = 6                THEN R011M07C = .R ;
IF R011M07C = 7                THEN R011M07C = .I ;
IF R011M10C = 6                THEN R011M10C = .R ;
IF R011M10C = 7                THEN R011M10C = .I ;
IF R011M11C = 6                THEN R011M11C = .R ;
IF R011M11C = 7                THEN R011M11C = .I ;
IF R011M12C = 6                THEN R011M12C = .R ;
IF R011M12C = 7                THEN R011M12C = .I ;
IF R011M14C = 6                THEN R011M14C = .R ;
IF R011M14C = 7                THEN R011M14C = .I ;
IF R011C01C = 6                THEN R011C01C = .R ;
IF R011C01C = 7                THEN R011C01C = .I ;
IF R011C02C = 6                THEN R011C02C = .R ;
IF R011C02C = 7                THEN R011C02C = .I ;
IF R011C03C = 6                THEN R011C03C = .R ;
IF R011C03C = 7                THEN R011C03C = .I ;
IF R011C06C = 6                THEN R011C06C = .R ;
IF R011C06C = 7                THEN R011C06C = .I ;
IF R011C08C = 6                THEN R011C08C = .R ;
IF R011C08C = 7                THEN R011C08C = .I ;
IF R011C10C = 6                THEN R011C10C = .R ;
IF R011C10C = 7                THEN R011C10C = .I ;
IF R011C11C = 6                THEN R011C11C = .R ;
IF R011C11C = 7                THEN R011C11C = .I ;
IF R011F06C = 6                THEN R011F06C = .R ;
IF R011F06C = 7                THEN R011F06C = .I ;
IF R011F07C = 6                THEN R011F07C = .R ;
IF R011F07C = 7                THEN R011F07C = .I ;
IF R011F08C = 6                THEN R011F08C = .R ;
IF R011F08C = 7                THEN R011F08C = .I ;
IF R011F09C = 6                THEN R011F09C = .R ;
IF R011F09C = 7                THEN R011F09C = .I ;
IF R011F10C = 6                THEN R011F10C = .R ;
IF R011F10C = 7                THEN R011F10C = .I ;
IF R011F12C = 6                THEN R011F12C = .R ;
IF R011F12C = 7                THEN R011F12C = .I ;
IF R011A01C = 6                THEN R011A01C = .R ;
IF R011A01C = 7                THEN R011A01C = .I ;
IF R011A03C = 6                THEN R011A03C = .R ;
IF R011A03C = 7                THEN R011A03C = .I ;
IF R011A04C = 6                THEN R011A04C = .R ;
IF R011A04C = 7                THEN R011A04C = .I ;
IF R011A07C = 6                THEN R011A07C = .R ;
IF R011A07C = 7                THEN R011A07C = .I ;
IF R011A08C = 6                THEN R011A08C = .R ;
IF R011A08C = 7                THEN R011A08C = .I ;
IF R011A09C = 6                THEN R011A09C = .R ;
IF R011A09C = 7                THEN R011A09C = .I ;
IF R011A11C = 6                THEN R011A11C = .R ;
IF R011A11C = 7                THEN R011A11C = .I ;
IF R011L03C = 6                THEN R011L03C = .R ;
IF R011L03C = 7                THEN R011L03C = .I ;
IF R011L04C = 6                THEN R011L04C = .R ;
IF R011L04C = 7                THEN R011L04C = .I ;
IF R011L06C = 6                THEN R011L06C = .R ;
IF R011L06C = 7                THEN R011L06C = .I ;
IF R011L08C = 6                THEN R011L08C = .R ;
IF R011L08C = 7                THEN R011L08C = .I ;
IF R011L10C = 6                THEN R011L10C = .R ;
IF R011L10C = 7                THEN R011L10C = .I ;
IF R011L12C = 6                THEN R011L12C = .R ;
IF R011L12C = 7                THEN R011L12C = .I ;
IF R011R04C = 6                THEN R011R04C = .R ;
IF R011R04C = 7                THEN R011R04C = .I ;
IF R011R05C = 6                THEN R011R05C = .R ;
IF R011R05C = 7                THEN R011R05C = .I ;
IF R011R06C = 6                THEN R011R06C = .R ;
IF R011R06C = 7                THEN R011R06C = .I ;
IF R011R07C = 6                THEN R011R07C = .R ;
IF R011R07C = 7                THEN R011R07C = .I ;
IF R011R08C = 6                THEN R011R08C = .R ;
IF R011R08C = 7                THEN R011R08C = .I ;
IF R011R09C = 6                THEN R011R09C = .R ;
IF R011R09C = 7                THEN R011R09C = .I ;
IF R011R10C = 6                THEN R011R10C = .R ;
IF R011R10C = 7                THEN R011R10C = .I ;
IF R011R11C = 6                THEN R011R11C = .R ;
IF R011R11C = 7                THEN R011R11C = .I ;
IF R011H03C = 6                THEN R011H03C = .R ;
IF R011H03C = 7                THEN R011H03C = .I ;
IF R011H04C = 6                THEN R011H04C = .R ;
IF R011H04C = 7                THEN R011H04C = .I ;
IF R011H07C = 6                THEN R011H07C = .R ;
IF R011H07C = 7                THEN R011H07C = .I ;
IF R011H08C = 6                THEN R011H08C = .R ;
IF R011H08C = 7                THEN R011H08C = .I ;
IF R011H09C = 6                THEN R011H09C = .R ;
IF R011H09C = 7                THEN R011H09C = .I ;
IF R011H10C = 6                THEN R011H10C = .R ;
IF R011H10C = 7                THEN R011H10C = .I ;
IF R011N07C = 6                THEN R011N07C = .R ;
IF R011N07C = 7                THEN R011N07C = .I ;
IF R011N08C = 6                THEN R011N08C = .R ;
IF R011N08C = 7                THEN R011N08C = .I ;
IF R011N10C = 6                THEN R011N10C = .R ;
IF R011N10C = 7                THEN R011N10C = .I ;
IF R011N12C = 6                THEN R011N12C = .R ;
IF R011N12C = 7                THEN R011N12C = .I ;
IF R011N13C = 6                THEN R011N13C = .R ;
IF R011N13C = 7                THEN R011N13C = .I ;
IF RR11M04C = 6                THEN RR11M04C = .R ;
IF RR11M04C = 7                THEN RR11M04C = .I ;
IF RR11M06C = 6                THEN RR11M06C = .R ;
IF RR11M06C = 7                THEN RR11M06C = .I ;
IF RR11M07C = 6                THEN RR11M07C = .R ;
IF RR11M07C = 7                THEN RR11M07C = .I ;
IF RR11M10C = 6                THEN RR11M10C = .R ;
IF RR11M10C = 7                THEN RR11M10C = .I ;
IF RR11M11C = 6                THEN RR11M11C = .R ;
IF RR11M11C = 7                THEN RR11M11C = .I ;
IF RR11M12C = 6                THEN RR11M12C = .R ;
IF RR11M12C = 7                THEN RR11M12C = .I ;
IF RR11M14C = 6                THEN RR11M14C = .R ;
IF RR11M14C = 7                THEN RR11M14C = .I ;
IF RR11C01C = 6                THEN RR11C01C = .R ;
IF RR11C01C = 7                THEN RR11C01C = .I ;
IF RR11C02C = 6                THEN RR11C02C = .R ;
IF RR11C02C = 7                THEN RR11C02C = .I ;
IF RR11C03C = 6                THEN RR11C03C = .R ;
IF RR11C03C = 7                THEN RR11C03C = .I ;
IF RR11C06C = 6                THEN RR11C06C = .R ;
IF RR11C06C = 7                THEN RR11C06C = .I ;
IF RR11C08C = 6                THEN RR11C08C = .R ;
IF RR11C08C = 7                THEN RR11C08C = .I ;
IF RR11C10C = 6                THEN RR11C10C = .R ;
IF RR11C10C = 7                THEN RR11C10C = .I ;
IF RR11C11C = 6                THEN RR11C11C = .R ;
IF RR11C11C = 7                THEN RR11C11C = .I ;
IF RR11F06C = 6                THEN RR11F06C = .R ;
IF RR11F06C = 7                THEN RR11F06C = .I ;
IF RR11F07C = 6                THEN RR11F07C = .R ;
IF RR11F07C = 7                THEN RR11F07C = .I ;
IF RR11F08C = 6                THEN RR11F08C = .R ;
IF RR11F08C = 7                THEN RR11F08C = .I ;
IF RR11F09C = 6                THEN RR11F09C = .R ;
IF RR11F09C = 7                THEN RR11F09C = .I ;
IF RR11F10C = 6                THEN RR11F10C = .R ;
IF RR11F10C = 7                THEN RR11F10C = .I ;
IF RR11F12C = 6                THEN RR11F12C = .R ;
IF RR11F12C = 7                THEN RR11F12C = .I ;
IF RR11A01C = 6                THEN RR11A01C = .R ;
IF RR11A01C = 7                THEN RR11A01C = .I ;
IF RR11A03C = 6                THEN RR11A03C = .R ;
IF RR11A03C = 7                THEN RR11A03C = .I ;
IF RR11A04C = 6                THEN RR11A04C = .R ;
IF RR11A04C = 7                THEN RR11A04C = .I ;
IF RR11A07C = 6                THEN RR11A07C = .R ;
IF RR11A07C = 7                THEN RR11A07C = .I ;
IF RR11A08C = 6                THEN RR11A08C = .R ;
IF RR11A08C = 7                THEN RR11A08C = .I ;
IF RR11A09C = 6                THEN RR11A09C = .R ;
IF RR11A09C = 7                THEN RR11A09C = .I ;
IF RR11A11C = 6                THEN RR11A11C = .R ;
IF RR11A11C = 7                THEN RR11A11C = .I ;
IF RR11L03C = 6                THEN RR11L03C = .R ;
IF RR11L03C = 7                THEN RR11L03C = .I ;
IF RR11L04C = 6                THEN RR11L04C = .R ;
IF RR11L04C = 7                THEN RR11L04C = .I ;
IF RR11L06C = 6                THEN RR11L06C = .R ;
IF RR11L06C = 7                THEN RR11L06C = .I ;
IF RR11L08C = 6                THEN RR11L08C = .R ;
IF RR11L08C = 7                THEN RR11L08C = .I ;
IF RR11L10C = 6                THEN RR11L10C = .R ;
IF RR11L10C = 7                THEN RR11L10C = .I ;
IF RR11L12C = 6                THEN RR11L12C = .R ;
IF RR11L12C = 7                THEN RR11L12C = .I ;
IF RR11R04C = 6                THEN RR11R04C = .R ;
IF RR11R04C = 7                THEN RR11R04C = .I ;
IF RR11R05C = 6                THEN RR11R05C = .R ;
IF RR11R05C = 7                THEN RR11R05C = .I ;
IF RR11R06C = 6                THEN RR11R06C = .R ;
IF RR11R06C = 7                THEN RR11R06C = .I ;
IF RR11R07C = 6                THEN RR11R07C = .R ;
IF RR11R07C = 7                THEN RR11R07C = .I ;
IF RR11R08C = 6                THEN RR11R08C = .R ;
IF RR11R08C = 7                THEN RR11R08C = .I ;
IF RR11R09C = 6                THEN RR11R09C = .R ;
IF RR11R09C = 7                THEN RR11R09C = .I ;
IF RR11R10C = 6                THEN RR11R10C = .R ;
IF RR11R10C = 7                THEN RR11R10C = .I ;
IF RR11R11C = 6                THEN RR11R11C = .R ;
IF RR11R11C = 7                THEN RR11R11C = .I ;
IF RR11H03C = 6                THEN RR11H03C = .R ;
IF RR11H03C = 7                THEN RR11H03C = .I ;
IF RR11H04C = 6                THEN RR11H04C = .R ;
IF RR11H04C = 7                THEN RR11H04C = .I ;
IF RR11H07C = 6                THEN RR11H07C = .R ;
IF RR11H07C = 7                THEN RR11H07C = .I ;
IF RR11H08C = 6                THEN RR11H08C = .R ;
IF RR11H08C = 7                THEN RR11H08C = .I ;
IF RR11H09C = 6                THEN RR11H09C = .R ;
IF RR11H09C = 7                THEN RR11H09C = .I ;
IF RR11H10C = 6                THEN RR11H10C = .R ;
IF RR11H10C = 7                THEN RR11H10C = .I ;
IF RR11N07C = 6                THEN RR11N07C = .R ;
IF RR11N07C = 7                THEN RR11N07C = .I ;
IF RR11N08C = 6                THEN RR11N08C = .R ;
IF RR11N08C = 7                THEN RR11N08C = .I ;
IF RR11N10C = 6                THEN RR11N10C = .R ;
IF RR11N10C = 7                THEN RR11N10C = .I ;
IF RR11N12C = 6                THEN RR11N12C = .R ;
IF RR11N12C = 7                THEN RR11N12C = .I ;
IF RR11N13C = 6                THEN RR11N13C = .R ;
IF RR11N13C = 7                THEN RR11N13C = .I ;
IF RI11M04C = 96               THEN RI11M04C = .R ;
IF RI11M04C = 97               THEN RI11M04C = .I ;
IF RI11M06C = 96               THEN RI11M06C = .R ;
IF RI11M06C = 97               THEN RI11M06C = .I ;
IF RI11M07C = 96               THEN RI11M07C = .R ;
IF RI11M07C = 97               THEN RI11M07C = .I ;
IF RI11M10C = 96               THEN RI11M10C = .R ;
IF RI11M10C = 97               THEN RI11M10C = .I ;
IF RI11M11C = 96               THEN RI11M11C = .R ;
IF RI11M11C = 97               THEN RI11M11C = .I ;
IF RI11M12C = 96               THEN RI11M12C = .R ;
IF RI11M12C = 97               THEN RI11M12C = .I ;
IF RI11M14C = 96               THEN RI11M14C = .R ;
IF RI11M14C = 97               THEN RI11M14C = .I ;
IF RI11C01C = 96               THEN RI11C01C = .R ;
IF RI11C01C = 97               THEN RI11C01C = .I ;
IF RI11C02C = 96               THEN RI11C02C = .R ;
IF RI11C02C = 97               THEN RI11C02C = .I ;
IF RI11C03C = 96               THEN RI11C03C = .R ;
IF RI11C03C = 97               THEN RI11C03C = .I ;
IF RI11C06C = 96               THEN RI11C06C = .R ;
IF RI11C06C = 97               THEN RI11C06C = .I ;
IF RI11C08C = 96               THEN RI11C08C = .R ;
IF RI11C08C = 97               THEN RI11C08C = .I ;
IF RI11C10C = 96               THEN RI11C10C = .R ;
IF RI11C10C = 97               THEN RI11C10C = .I ;
IF RI11C11C = 96               THEN RI11C11C = .R ;
IF RI11C11C = 97               THEN RI11C11C = .I ;
IF RI11F06C = 96               THEN RI11F06C = .R ;
IF RI11F06C = 97               THEN RI11F06C = .I ;
IF RI11F07C = 96               THEN RI11F07C = .R ;
IF RI11F07C = 97               THEN RI11F07C = .I ;
IF RI11F08C = 96               THEN RI11F08C = .R ;
IF RI11F08C = 97               THEN RI11F08C = .I ;
IF RI11F09C = 96               THEN RI11F09C = .R ;
IF RI11F09C = 97               THEN RI11F09C = .I ;
IF RI11F10C = 96               THEN RI11F10C = .R ;
IF RI11F10C = 97               THEN RI11F10C = .I ;
IF RI11F12C = 96               THEN RI11F12C = .R ;
IF RI11F12C = 97               THEN RI11F12C = .I ;
IF RI11A01C = 96               THEN RI11A01C = .R ;
IF RI11A01C = 97               THEN RI11A01C = .I ;
IF RI11A03C = 96               THEN RI11A03C = .R ;
IF RI11A03C = 97               THEN RI11A03C = .I ;
IF RI11A04C = 96               THEN RI11A04C = .R ;
IF RI11A04C = 97               THEN RI11A04C = .I ;
IF RI11A07C = 96               THEN RI11A07C = .R ;
IF RI11A07C = 97               THEN RI11A07C = .I ;
IF RI11A08C = 96               THEN RI11A08C = .R ;
IF RI11A08C = 97               THEN RI11A08C = .I ;
IF RI11A09C = 96               THEN RI11A09C = .R ;
IF RI11A09C = 97               THEN RI11A09C = .I ;
IF RI11A11C = 96               THEN RI11A11C = .R ;
IF RI11A11C = 97               THEN RI11A11C = .I ;
IF RI11L03C = 96               THEN RI11L03C = .R ;
IF RI11L03C = 97               THEN RI11L03C = .I ;
IF RI11L04C = 96               THEN RI11L04C = .R ;
IF RI11L04C = 97               THEN RI11L04C = .I ;
IF RI11L06C = 96               THEN RI11L06C = .R ;
IF RI11L06C = 97               THEN RI11L06C = .I ;
IF RI11L08C = 96               THEN RI11L08C = .R ;
IF RI11L08C = 97               THEN RI11L08C = .I ;
IF RI11L10C = 96               THEN RI11L10C = .R ;
IF RI11L10C = 97               THEN RI11L10C = .I ;
IF RI11L12C = 96               THEN RI11L12C = .R ;
IF RI11L12C = 97               THEN RI11L12C = .I ;
IF RI11R04C = 96               THEN RI11R04C = .R ;
IF RI11R04C = 97               THEN RI11R04C = .I ;
IF RI11R05C = 96               THEN RI11R05C = .R ;
IF RI11R05C = 97               THEN RI11R05C = .I ;
IF RI11R06C = 96               THEN RI11R06C = .R ;
IF RI11R06C = 97               THEN RI11R06C = .I ;
IF RI11R07C = 96               THEN RI11R07C = .R ;
IF RI11R07C = 97               THEN RI11R07C = .I ;
IF RI11R08C = 96               THEN RI11R08C = .R ;
IF RI11R08C = 97               THEN RI11R08C = .I ;
IF RI11R09C = 96               THEN RI11R09C = .R ;
IF RI11R09C = 97               THEN RI11R09C = .I ;
IF RI11R10C = 96               THEN RI11R10C = .R ;
IF RI11R10C = 97               THEN RI11R10C = .I ;
IF RI11R11C = 96               THEN RI11R11C = .R ;
IF RI11R11C = 97               THEN RI11R11C = .I ;
IF RI11H03C = 96               THEN RI11H03C = .R ;
IF RI11H03C = 97               THEN RI11H03C = .I ;
IF RI11H04C = 96               THEN RI11H04C = .R ;
IF RI11H04C = 97               THEN RI11H04C = .I ;
IF RI11H07C = 96               THEN RI11H07C = .R ;
IF RI11H07C = 97               THEN RI11H07C = .I ;
IF RI11H08C = 96               THEN RI11H08C = .R ;
IF RI11H08C = 97               THEN RI11H08C = .I ;
IF RI11H09C = 96               THEN RI11H09C = .R ;
IF RI11H09C = 97               THEN RI11H09C = .I ;
IF RI11H10C = 96               THEN RI11H10C = .R ;
IF RI11H10C = 97               THEN RI11H10C = .I ;
IF RI11N07C = 96               THEN RI11N07C = .R ;
IF RI11N07C = 97               THEN RI11N07C = .I ;
IF RI11N08C = 96               THEN RI11N08C = .R ;
IF RI11N08C = 97               THEN RI11N08C = .I ;
IF RI11N10C = 96               THEN RI11N10C = .R ;
IF RI11N10C = 97               THEN RI11N10C = .I ;
IF RI11N12C = 96               THEN RI11N12C = .R ;
IF RI11N12C = 97               THEN RI11N12C = .I ;
IF RI11N13C = 96               THEN RI11N13C = .R ;
IF RI11N13C = 97               THEN RI11N13C = .I ;

%PUT INFO: recode omitted data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF IDBOOK   = 99               THEN IDBOOK   = . ;
IF IDPOP    = 9                THEN IDPOP    = . ;
IF IDGRADER = 9                THEN IDGRADER = . ;
IF INPRL01  = 9                THEN INPRL01  = . ;
IF R011M04C = 9                THEN R011M04C = . ;
IF R011M06C = 9                THEN R011M06C = . ;
IF R011M07C = 9                THEN R011M07C = . ;
IF R011M10C = 9                THEN R011M10C = . ;
IF R011M11C = 9                THEN R011M11C = . ;
IF R011M12C = 9                THEN R011M12C = . ;
IF R011M14C = 9                THEN R011M14C = . ;
IF R011C01C = 9                THEN R011C01C = . ;
IF R011C02C = 9                THEN R011C02C = . ;
IF R011C03C = 9                THEN R011C03C = . ;
IF R011C06C = 9                THEN R011C06C = . ;
IF R011C08C = 9                THEN R011C08C = . ;
IF R011C10C = 9                THEN R011C10C = . ;
IF R011C11C = 9                THEN R011C11C = . ;
IF R011F06C = 9                THEN R011F06C = . ;
IF R011F07C = 9                THEN R011F07C = . ;
IF R011F08C = 9                THEN R011F08C = . ;
IF R011F09C = 9                THEN R011F09C = . ;
IF R011F10C = 9                THEN R011F10C = . ;
IF R011F12C = 9                THEN R011F12C = . ;
IF R011A01C = 9                THEN R011A01C = . ;
IF R011A03C = 9                THEN R011A03C = . ;
IF R011A04C = 9                THEN R011A04C = . ;
IF R011A07C = 9                THEN R011A07C = . ;
IF R011A08C = 9                THEN R011A08C = . ;
IF R011A09C = 9                THEN R011A09C = . ;
IF R011A11C = 9                THEN R011A11C = . ;
IF R011L03C = 9                THEN R011L03C = . ;
IF R011L04C = 9                THEN R011L04C = . ;
IF R011L06C = 9                THEN R011L06C = . ;
IF R011L08C = 9                THEN R011L08C = . ;
IF R011L10C = 9                THEN R011L10C = . ;
IF R011L12C = 9                THEN R011L12C = . ;
IF R011R04C = 9                THEN R011R04C = . ;
IF R011R05C = 9                THEN R011R05C = . ;
IF R011R06C = 9                THEN R011R06C = . ;
IF R011R07C = 9                THEN R011R07C = . ;
IF R011R08C = 9                THEN R011R08C = . ;
IF R011R09C = 9                THEN R011R09C = . ;
IF R011R10C = 9                THEN R011R10C = . ;
IF R011R11C = 9                THEN R011R11C = . ;
IF R011H03C = 9                THEN R011H03C = . ;
IF R011H04C = 9                THEN R011H04C = . ;
IF R011H07C = 9                THEN R011H07C = . ;
IF R011H08C = 9                THEN R011H08C = . ;
IF R011H09C = 9                THEN R011H09C = . ;
IF R011H10C = 9                THEN R011H10C = . ;
IF R011N07C = 9                THEN R011N07C = . ;
IF R011N08C = 9                THEN R011N08C = . ;
IF R011N10C = 9                THEN R011N10C = . ;
IF R011N12C = 9                THEN R011N12C = . ;
IF R011N13C = 9                THEN R011N13C = . ;
IF RR11M04C = 9                THEN RR11M04C = . ;
IF RR11M06C = 9                THEN RR11M06C = . ;
IF RR11M07C = 9                THEN RR11M07C = . ;
IF RR11M10C = 9                THEN RR11M10C = . ;
IF RR11M11C = 9                THEN RR11M11C = . ;
IF RR11M12C = 9                THEN RR11M12C = . ;
IF RR11M14C = 9                THEN RR11M14C = . ;
IF RR11C01C = 9                THEN RR11C01C = . ;
IF RR11C02C = 9                THEN RR11C02C = . ;
IF RR11C03C = 9                THEN RR11C03C = . ;
IF RR11C06C = 9                THEN RR11C06C = . ;
IF RR11C08C = 9                THEN RR11C08C = . ;
IF RR11C10C = 9                THEN RR11C10C = . ;
IF RR11C11C = 9                THEN RR11C11C = . ;
IF RR11F06C = 9                THEN RR11F06C = . ;
IF RR11F07C = 9                THEN RR11F07C = . ;
IF RR11F08C = 9                THEN RR11F08C = . ;
IF RR11F09C = 9                THEN RR11F09C = . ;
IF RR11F10C = 9                THEN RR11F10C = . ;
IF RR11F12C = 9                THEN RR11F12C = . ;
IF RR11A01C = 9                THEN RR11A01C = . ;
IF RR11A03C = 9                THEN RR11A03C = . ;
IF RR11A04C = 9                THEN RR11A04C = . ;
IF RR11A07C = 9                THEN RR11A07C = . ;
IF RR11A08C = 9                THEN RR11A08C = . ;
IF RR11A09C = 9                THEN RR11A09C = . ;
IF RR11A11C = 9                THEN RR11A11C = . ;
IF RR11L03C = 9                THEN RR11L03C = . ;
IF RR11L04C = 9                THEN RR11L04C = . ;
IF RR11L06C = 9                THEN RR11L06C = . ;
IF RR11L08C = 9                THEN RR11L08C = . ;
IF RR11L10C = 9                THEN RR11L10C = . ;
IF RR11L12C = 9                THEN RR11L12C = . ;
IF RR11R04C = 9                THEN RR11R04C = . ;
IF RR11R05C = 9                THEN RR11R05C = . ;
IF RR11R06C = 9                THEN RR11R06C = . ;
IF RR11R07C = 9                THEN RR11R07C = . ;
IF RR11R08C = 9                THEN RR11R08C = . ;
IF RR11R09C = 9                THEN RR11R09C = . ;
IF RR11R10C = 9                THEN RR11R10C = . ;
IF RR11R11C = 9                THEN RR11R11C = . ;
IF RR11H03C = 9                THEN RR11H03C = . ;
IF RR11H04C = 9                THEN RR11H04C = . ;
IF RR11H07C = 9                THEN RR11H07C = . ;
IF RR11H08C = 9                THEN RR11H08C = . ;
IF RR11H09C = 9                THEN RR11H09C = . ;
IF RR11H10C = 9                THEN RR11H10C = . ;
IF RR11N07C = 9                THEN RR11N07C = . ;
IF RR11N08C = 9                THEN RR11N08C = . ;
IF RR11N10C = 9                THEN RR11N10C = . ;
IF RR11N12C = 9                THEN RR11N12C = . ;
IF RR11N13C = 9                THEN RR11N13C = . ;
IF RI11M04C = 99               THEN RI11M04C = . ;
IF RI11M06C = 99               THEN RI11M06C = . ;
IF RI11M07C = 99               THEN RI11M07C = . ;
IF RI11M10C = 99               THEN RI11M10C = . ;
IF RI11M11C = 99               THEN RI11M11C = . ;
IF RI11M12C = 99               THEN RI11M12C = . ;
IF RI11M14C = 99               THEN RI11M14C = . ;
IF RI11C01C = 99               THEN RI11C01C = . ;
IF RI11C02C = 99               THEN RI11C02C = . ;
IF RI11C03C = 99               THEN RI11C03C = . ;
IF RI11C06C = 99               THEN RI11C06C = . ;
IF RI11C08C = 99               THEN RI11C08C = . ;
IF RI11C10C = 99               THEN RI11C10C = . ;
IF RI11C11C = 99               THEN RI11C11C = . ;
IF RI11F06C = 99               THEN RI11F06C = . ;
IF RI11F07C = 99               THEN RI11F07C = . ;
IF RI11F08C = 99               THEN RI11F08C = . ;
IF RI11F09C = 99               THEN RI11F09C = . ;
IF RI11F10C = 99               THEN RI11F10C = . ;
IF RI11F12C = 99               THEN RI11F12C = . ;
IF RI11A01C = 99               THEN RI11A01C = . ;
IF RI11A03C = 99               THEN RI11A03C = . ;
IF RI11A04C = 99               THEN RI11A04C = . ;
IF RI11A07C = 99               THEN RI11A07C = . ;
IF RI11A08C = 99               THEN RI11A08C = . ;
IF RI11A09C = 99               THEN RI11A09C = . ;
IF RI11A11C = 99               THEN RI11A11C = . ;
IF RI11L03C = 99               THEN RI11L03C = . ;
IF RI11L04C = 99               THEN RI11L04C = . ;
IF RI11L06C = 99               THEN RI11L06C = . ;
IF RI11L08C = 99               THEN RI11L08C = . ;
IF RI11L10C = 99               THEN RI11L10C = . ;
IF RI11L12C = 99               THEN RI11L12C = . ;
IF RI11R04C = 99               THEN RI11R04C = . ;
IF RI11R05C = 99               THEN RI11R05C = . ;
IF RI11R06C = 99               THEN RI11R06C = . ;
IF RI11R07C = 99               THEN RI11R07C = . ;
IF RI11R08C = 99               THEN RI11R08C = . ;
IF RI11R09C = 99               THEN RI11R09C = . ;
IF RI11R10C = 99               THEN RI11R10C = . ;
IF RI11R11C = 99               THEN RI11R11C = . ;
IF RI11H03C = 99               THEN RI11H03C = . ;
IF RI11H04C = 99               THEN RI11H04C = . ;
IF RI11H07C = 99               THEN RI11H07C = . ;
IF RI11H08C = 99               THEN RI11H08C = . ;
IF RI11H09C = 99               THEN RI11H09C = . ;
IF RI11H10C = 99               THEN RI11H10C = . ;
IF RI11N07C = 99               THEN RI11N07C = . ;
IF RI11N08C = 99               THEN RI11N08C = . ;
IF RI11N10C = 99               THEN RI11N10C = . ;
IF RI11N12C = 99               THEN RI11N12C = . ;
IF RI11N13C = 99               THEN RI11N13C = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

proc sort ; by idcntry idstud;

       %let i = %eval(&i + 1);
     %end;
run;
%mend doit;

%doit;









