%let cty = ARG BGR BLZ CAN COL CYP CZE DEU ENG FRA
           GRC HKG HUN IRN ISL ISR ITA KWT LTU LVA
           MAR MDA MKD NLD NOR NZL ROM RUS SCO SGP
           SVK SVN SWE TUR USA SE3;

Options nosource nocenter;

LIBNAME libdat  "c:\pirls\Data" ;
LIBNAME library "c:\pirls\Data" ;

%macro doit;
  %let i = 1;
     %do %while(%length(%scan(&cty,&i)));
       %let ccode = %lowcase(%scan(&cty,&i));

%let fname= atg&ccode.r1 ;

FILENAME rawinp "c:\pirls\Data\&fname..dat" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions have to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1250 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being created. ;
LENGTH DEFAULT=5 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDSCHOOL   4 ;
LENGTH      IDTEACH    6 ;
LENGTH      IDLINK     3 ;
LENGTH      IDCLASS    6 ;
LENGTH      IDPOP      3 ;
LENGTH      INPRL01    3 ;
LENGTH      ATBGCSTD   3 ;
LENGTH      ATBG4STD   3 ;
LENGTH      ATBGRLEV   3 ;
LENGTH      ATBGDIFU   3 ;
LENGTH      ATBGNDIN   3 ;
LENGTH      ATBGRCIN   3 ;
LENGTH      ATBGRCEN   3 ;
LENGTH      ATBGTCH    3 ;
LENGTH      ATBGACTH   3 ;
LENGTH      ATBGACTM   3 ;
LENGTH      ATBGHMW1   3 ;
LENGTH      ATBGHMW2   3 ;
LENGTH      ATBGRTCH   3 ;
LENGTH      ATBGRINH   3 ;
LENGTH      ATBGRINM   3 ;
LENGTH      ATBGFRIN   3 ;
LENGTH      ATBGFRDH   3 ;
LENGTH      ATBGFRDM   3 ;
LENGTH      ATBGRACT   3 ;
LENGTH      ATBGORG1   3 ;
LENGTH      ATBGORG2   3 ;
LENGTH      ATBGORG3   3 ;
LENGTH      ATBGORG4   3 ;
LENGTH      ATBGORG5   3 ;
LENGTH      ATBGRES1   3 ;
LENGTH      ATBGRES2   3 ;
LENGTH      ATBGRES3   3 ;
LENGTH      ATBGRES4   3 ;
LENGTH      ATBGRES5   3 ;
LENGTH      ATBGRES6   3 ;
LENGTH      ATBGRES7   3 ;
LENGTH      ATBGTXT1   3 ;
LENGTH      ATBGTXT2   3 ;
LENGTH      ATBGTXT3   3 ;
LENGTH      ATBGTXT4   3 ;
LENGTH      ATBGTXT5   3 ;
LENGTH      ATBGTXT6   3 ;
LENGTH      ATBGTXT7   3 ;
LENGTH      ATBGTXT8   3 ;
LENGTH      ATBGUMAT   3 ;
LENGTH      ATBGRA1    3 ;
LENGTH      ATBGRA2    3 ;
LENGTH      ATBGRA3    3 ;
LENGTH      ATBGRA4    3 ;
LENGTH      ATBGRA5    3 ;
LENGTH      ATBGRA6    3 ;
LENGTH      ATBGRA7    3 ;
LENGTH      ATBGRA8    3 ;
LENGTH      ATBGRA9    3 ;
LENGTH      ATBGRA10   3 ;
LENGTH      ATBGASK1   3 ;
LENGTH      ATBGASK2   3 ;
LENGTH      ATBGASK3   3 ;
LENGTH      ATBGASK4   3 ;
LENGTH      ATBGASK5   3 ;
LENGTH      ATBGASK6   3 ;
LENGTH      ATBGASK7   3 ;
LENGTH      ATBGASK8   3 ;
LENGTH      ATBGDEV1   3 ;
LENGTH      ATBGDEV2   3 ;
LENGTH      ATBGDEV3   3 ;
LENGTH      ATBGDEV4   3 ;
LENGTH      ATBGDEV5   3 ;
LENGTH      ATBGDEV6   3 ;
LENGTH      ATBGDEV7   3 ;
LENGTH      ATBGDEV8   3 ;
LENGTH      ATBGPRT1   3 ;
LENGTH      ATBGPRT2   3 ;
LENGTH      ATBGPRT3   3 ;
LENGTH      ATBGPCAV   3 ;
LENGTH      ATBGPC1    3 ;
LENGTH      ATBGPC2    3 ;
LENGTH      ATBGWWW    3 ;
LENGTH      ATBGPCA1   3 ;
LENGTH      ATBGPCA2   3 ;
LENGTH      ATBGPCA3   3 ;
LENGTH      ATBGPCA4   3 ;
LENGTH      ATBGPCA5   3 ;
LENGTH      ATBGLICR   3 ;
LENGTH      ATBGLIBK   4 ;
LENGTH      ATBGLIMG   3 ;
LENGTH      ATBGLIUS   3 ;
LENGTH      ATBGLIBW   3 ;
LENGTH      ATBGSDLI   3 ;
LENGTH      ATBGRHW1   3 ;
LENGTH      ATBGRHW2   3 ;
LENGTH      ATBGDIF1   3 ;
LENGTH      ATBGDIF2   3 ;
LENGTH      ATBGDIF3   3 ;
LENGTH      ATBGDIF4   3 ;
LENGTH      ATBGBRD1   3 ;
LENGTH      ATBGBRD2   3 ;
LENGTH      ATBGBRD3   3 ;
LENGTH      ATBGBRD4   3 ;
LENGTH      ATBGBRD5   3 ;
LENGTH      ATBGBRD6   3 ;
LENGTH      ATBGBRD7   3 ;
LENGTH      ATBGPRO1   3 ;
LENGTH      ATBGPRO2   3 ;
LENGTH      ATBGPRO3   3 ;
LENGTH      ATBGPRO4   3 ;
LENGTH      ATBGPRO5   3 ;
LENGTH      ATBGPFM1   3 ;
LENGTH      ATBGPFM2   3 ;
LENGTH      ATBGPFM3   3 ;
LENGTH      ATBGPFM4   3 ;
LENGTH      ATBGPFM5   3 ;
LENGTH      ATBGPFM6   3 ;
LENGTH      ATBGPFM7   3 ;
LENGTH      ATBGPFM8   3 ;
LENGTH      ATBGPFOL   3 ;
LENGTH      ATBGOPP1   3 ;
LENGTH      ATBGOPP2   3 ;
LENGTH      ATBGOPP3   3 ;
LENGTH      ATBGMEET   3 ;
LENGTH      ATBGPAR1   3 ;
LENGTH      ATBGPAR2   3 ;
LENGTH      ATBGGOOD   3 ;
LENGTH      ATBGTAUG   3 ;
LENGTH      ATBG4TAU   3 ;
LENGTH      ATBGAGE    3 ;
LENGTH      ATBGSEX    3 ;
LENGTH      ATBGEDUC   3 ;
LENGTH      ATBGCERT   3 ;
LENGTH      ATBGARE1   3 ;
LENGTH      ATBGARE2   3 ;
LENGTH      ATBGARE3   3 ;
LENGTH      ATBGARE4   3 ;
LENGTH      ATBGARE5   3 ;
LENGTH      ATBGARE6   3 ;
LENGTH      ATBGARE7   3 ;
LENGTH      ATBGARE8   3 ;
LENGTH      ATBGARE9   3 ;
LENGTH      ATBGSEMI   3 ;
LENGTH      ATBGRD1    3 ;
LENGTH      ATBGRD2    3 ;
LENGTH      ATBGRD3    3 ;
LENGTH      ATBGRRE1   3 ;
LENGTH      ATBGRRE2   3 ;
LENGTH      ATBGRRE3   3 ;
LENGTH      ATBGRRE4   3 ;
LENGTH      ATBGRRE5   3 ;
LENGTH      ATBG4TCH   3 ;
LENGTH      ATBGCOMP   3 ;
LENGTH      DPCDATE    6 ;
LENGTH      ATDGPAR2   3 ;
LENGTH      ATDGACAV   8 ;
LENGTH      ATDGHRTW   3 ;
LENGTH      ATDGFRIT   8 ;
LENGTH      ATDGORG    3 ;
LENGTH      ATDGCSTD   3 ;
LENGTH      ATDGDIF1   3 ;
LENGTH      ATDGDIF2   3 ;
LENGTH      ATDGBRDX   3 ;
LENGTH      ATDGBRDY   3 ;
LENGTH      ATDGASK    3 ;
LENGTH      ATDGLIB    3 ;
LENGTH      ATDGRHW    3 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "logically not applicable" values ;
%PUT INFO: Missing category R refers to "not reached" items ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  IDCNTRY       1-   5     
  IDSCHOOL      6-   9     
  IDTEACH      10-  15     
  IDLINK       16-  17     
  IDCLASS      18-  23     
  IDPOP        24-  24     
  INPRL01      25-  25     
  ATBGCSTD     26-  27     
  ATBG4STD     28-  29     
  ATBGRLEV     30-  30     
  ATBGDIFU     31-  32     
  ATBGNDIN     33-  34     
  ATBGRCIN     35-  36     
  ATBGRCEN     37-  38     
  ATBGTCH      39-  39     
  ATBGACTH     40-  41     
  ATBGACTM     42-  43     
  ATBGHMW1     44-  44     
  ATBGHMW2     45-  45     
  ATBGRTCH     46-  46     
  ATBGRINH     47-  48     
  ATBGRINM     49-  50     
  ATBGFRIN     51-  51     
  ATBGFRDH     52-  53     
  ATBGFRDM     54-  55     
  ATBGRACT     56-  56     
  ATBGORG1     57-  57     
  ATBGORG2     58-  58     
  ATBGORG3     59-  59     
  ATBGORG4     60-  60     
  ATBGORG5     61-  61     
  ATBGRES1     62-  62     
  ATBGRES2     63-  63     
  ATBGRES3     64-  64     
  ATBGRES4     65-  65     
  ATBGRES5     66-  66     
  ATBGRES6     67-  67     
  ATBGRES7     68-  68     
  ATBGTXT1     69-  69     
  ATBGTXT2     70-  70     
  ATBGTXT3     71-  71     
  ATBGTXT4     72-  72     
  ATBGTXT5     73-  73     
  ATBGTXT6     74-  74     
  ATBGTXT7     75-  75     
  ATBGTXT8     76-  76     
  ATBGUMAT     77-  77     
  ATBGRA1      78-  78     
  ATBGRA2      79-  79     
  ATBGRA3      80-  80     
  ATBGRA4      81-  81     
  ATBGRA5      82-  82     
  ATBGRA6      83-  83     
  ATBGRA7      84-  84     
  ATBGRA8      85-  85     
  ATBGRA9      86-  86     
  ATBGRA10     87-  87     
  ATBGASK1     88-  88     
  ATBGASK2     89-  89     
  ATBGASK3     90-  90     
  ATBGASK4     91-  91     
  ATBGASK5     92-  92     
  ATBGASK6     93-  93     
  ATBGASK7     94-  94     
  ATBGASK8     95-  95     
  ATBGDEV1     96-  96     
  ATBGDEV2     97-  97     
  ATBGDEV3     98-  98     
  ATBGDEV4     99-  99     
  ATBGDEV5    100- 100     
  ATBGDEV6    101- 101     
  ATBGDEV7    102- 102     
  ATBGDEV8    103- 103     
  ATBGPRT1    104- 104     
  ATBGPRT2    105- 105     
  ATBGPRT3    106- 106     
  ATBGPCAV    107- 107     
  ATBGPC1     108- 108     
  ATBGPC2     109- 109     
  ATBGWWW     110- 110     
  ATBGPCA1    111- 111     
  ATBGPCA2    112- 112     
  ATBGPCA3    113- 113     
  ATBGPCA4    114- 114     
  ATBGPCA5    115- 115     
  ATBGLICR    116- 116     
  ATBGLIBK    117- 120     
  ATBGLIMG    121- 123     
  ATBGLIUS    124- 124     
  ATBGLIBW    125- 125     
  ATBGSDLI    126- 126     
  ATBGRHW1    127- 127     
  ATBGRHW2    128- 128     
  ATBGDIF1    129- 129     
  ATBGDIF2    130- 130     
  ATBGDIF3    131- 131     
  ATBGDIF4    132- 132     
  ATBGBRD1    133- 133     
  ATBGBRD2    134- 134     
  ATBGBRD3    135- 135     
  ATBGBRD4    136- 136     
  ATBGBRD5    137- 137     
  ATBGBRD6    138- 138     
  ATBGBRD7    139- 139     
  ATBGPRO1    140- 140     
  ATBGPRO2    141- 141     
  ATBGPRO3    142- 142     
  ATBGPRO4    143- 143     
  ATBGPRO5    144- 144     
  ATBGPFM1    145- 145     
  ATBGPFM2    146- 146     
  ATBGPFM3    147- 147     
  ATBGPFM4    148- 148     
  ATBGPFM5    149- 149     
  ATBGPFM6    150- 150     
  ATBGPFM7    151- 151     
  ATBGPFM8    152- 152     
  ATBGPFOL    153- 153     
  ATBGOPP1    154- 154     
  ATBGOPP2    155- 155     
  ATBGOPP3    156- 156     
  ATBGMEET    157- 158     
  ATBGPAR1    159- 159     
  ATBGPAR2    160- 160     
  ATBGGOOD    161- 161     
  ATBGTAUG    162- 163     
  ATBG4TAU    164- 165     
  ATBGAGE     166- 166     
  ATBGSEX     167- 167     
  ATBGEDUC    168- 168     
  ATBGCERT    169- 169     
  ATBGARE1    170- 170     
  ATBGARE2    171- 171     
  ATBGARE3    172- 172     
  ATBGARE4    173- 173     
  ATBGARE5    174- 174     
  ATBGARE6    175- 175     
  ATBGARE7    176- 176     
  ATBGARE8    177- 177     
  ATBGARE9    178- 178     
  ATBGSEMI    179- 179     
  ATBGRD1     180- 180     
  ATBGRD2     181- 181     
  ATBGRD3     182- 182     
  ATBGRRE1    183- 183     
  ATBGRRE2    184- 184     
  ATBGRRE3    185- 185     
  ATBGRRE4    186- 186     
  ATBGRRE5    187- 187     
  ATBG4TCH    188- 188     
  ATBGCOMP    189- 191     
  DPCDATE     192- 197     
  ATDGPAR2    198- 198     
  ATDGACAV    199- 211 .10
  ATDGHRTW    212- 212     
  ATDGFRIT    213- 225 .10
  ATDGORG     226- 226     
  ATDGCSTD    227- 227     
  ATDGDIF1    228- 228     
  ATDGDIF2    229- 229     
  ATDGBRDX    230- 230     
  ATDGBRDY    231- 231     
  ATDGASK     232- 232     
  ATDGLIB     233- 233     
  ATDGRHW     234- 234     
;

%PUT INFO: assign labels to variables ;
LABEL
  IDCNTRY  = "*COUNTRY ID*"
  IDSCHOOL = "*SCHOOL ID*"
  IDTEACH  = "*TEACHER ID*"
  IDLINK   = "*TEACHER LINK NUMBER*"
  IDCLASS  = "*CLASS ID*"
  IDPOP    = "POPULATION INDICATOR"
  INPRL01  = "INDICATOR VARIABLE"
  ATBGCSTD = "GEN/STD IN CLS"
  ATBG4STD = "GEN/HOW MANY STD FROM #1A ARE IN 4TH GRD"
  ATBGRLEV = "GEN/RDG LEVEL OF 4TH GRD STUDENTS"
  ATBGDIFU = "GEN/DIFFICULTIES UNDERSTANDING LANGUAGE"
  ATBGNDIN = "GEN/NEED REMEDIAL RDG INSTR"
  ATBGRCIN = "GEN/RECEIVE REMEDIAL RDG INSTR"
  ATBGRCEN = "GEN/RECEIVE ENRICHMENT RDG INSTR"
  ATBGTCH  = "GEN/TCH LANGUAGE TO 4TH GRADE STD IN CLS"
  ATBGACTH = "GEN/TIME FOR LANGUAGE INSTRUCTION/HOUR"
  ATBGACTM = "GEN/TIME FOR LANGUAGE INSTRUCTION/MINUTE"
  ATBGHMW1 = "GEN/LANGUAGE ACTIVITIES FOR HMWORK"
  ATBGHMW2 = "GEN/EXPECTED TIME FOR LANGUAGE HMWORK"
  ATBGRTCH = "GEN/TCH RDG TO 4TH GRADE STD IN CLS"
  ATBGRINH = "GEN/TIME FOR RDG INSTR WITH STD/HOUR"
  ATBGRINM = "GEN/TIME FOR RDG INSTR WITH STD/MINUTE"
  ATBGFRIN = "GEN/TIME IN #9A FOR FORMAL RDG INSTR"
  ATBGFRDH = "GEN/TIME FOR FORMAL RDG INSTR/HOUR"
  ATBGFRDM = "GEN/TIME FOR FORMAL RDG INSTR/MINUTE"
  ATBGRACT = "GEN/RDG INSTR WITH STD/HOW OFTEN"
  ATBGORG1 = "GEN/RDG INSTR/ORGANIZE STD/WHOLE-CLS ACT"
  ATBGORG2 = "GEN/RDG INSTR/ORGANIZE STD/SAME-ABILITY"
  ATBGORG3 = "GEN/RDG INSTR/ORGANIZE STD/MIXED-ABILITY"
  ATBGORG4 = "GEN/RDG INSTR/ORGANIZE STD/OTH CRITERIA"
  ATBGORG5 = "GEN/RDG INSTR/ORGANIZE STD/INDIV. INSTR"
  ATBGRES1 = "GEN/USING RESOURCES/TEXTBKS,RDG SERIES"
  ATBGRES2 = "GEN/USING RESOURCES/WORKBKS,WORKSHEETS"
  ATBGRES3 = "GEN/USING RESOURCES/NEWSPAPERS,MAGAZINES"
  ATBGRES4 = "GEN/USING RESOURCES/PC SOFTWARE"
  ATBGRES5 = "GEN/USING RESOURCES/MATERIAL ON INTERNET"
  ATBGRES6 = "GEN/USING RESOURCES/VARIETY OF CHD BKS"
  ATBGRES7 = "GEN/USING RESOURCES/OTH MATERIALS"
  ATBGTXT1 = "GEN/TEXT TYPES/FABLES,FAIRY TALES"
  ATBGTXT2 = "GEN/TEXT TYPES/OTHER STORIES"
  ATBGTXT3 = "GEN/TEXT TYPES/LONGER BKS WITH CHAPTERS"
  ATBGTXT4 = "GEN/TEXT TYPES/POEMS"
  ATBGTXT5 = "GEN/TEXT TYPES/PLAYS"
  ATBGTXT6 = "GEN/TEXT TYPES/DESCRIPTIONS,EXPLANATIONS"
  ATBGTXT7 = "GEN/TEXT TYPES/INSTRUCTIONS,MANUALS"
  ATBGTXT8 = "GEN/TEXT TYPES/CHARTS,DIAGRAMS,GRAPHS"
  ATBGUMAT = "GEN/USE OF RDG INSTR MATERIALS"
  ATBGRA1  = "GEN/RDG INSTR/READ ALOUD TO CLS"
  ATBGRA2  = "GEN/RDG INSTR/ASK/RD ALOUD/WHOLE CLS"
  ATBGRA3  = "GEN/RDG INSTR/ASK/RD ALOUD/GROUPS,PAIRS"
  ATBGRA4  = "GEN/RDG INSTR/ASK/RD SILENTLY/OWN"
  ATBGRA5  = "GEN/RDG INSTR/ASK/RD SILENTLY/OTH ALOUD"
  ATBGRA6  = "GEN/RDG INSTR/TIME RDG OWN CHOOSING BKS"
  ATBGRA7  = "GEN/RDG INSTR/TCH/DIFF RDG STRATEGIES"
  ATBGRA8  = "GEN/RDG INSTR/TCH/DECODING STRATEGIES"
  ATBGRA9  = "GEN/RDG INSTR/TCH/NEW VOCABULARY"
  ATBGRA10 = "GEN/RDG INSTR/HELP/NEW VOCABULARY IN TXT"
  ATBGASK1 = "GEN/AFTER RDG ASK/ANSWER/WORKBK,-SHEET"
  ATBGASK2 = "GEN/AFTER RDG ASK/WRITE/STH IN RESPONSE"
  ATBGASK3 = "GEN/AFTER RDG ASK/ANSWER/ORAL QUESTIONS"
  ATBGASK4 = "GEN/AFTER RDG ASK/TALK/WITH EACH OTHER"
  ATBGASK5 = "GEN/AFTER RDG ASK/DRAW/PICTURES"
  ATBGASK6 = "GEN/AFTER RDG ASK/DO/PLAY,DRAMATIZATION"
  ATBGASK7 = "GEN/AFTER RDG ASK/DO/GROUP PROJECT"
  ATBGASK8 = "GEN/AFTER RDG ASK/TAKE/QUIZZES,TESTS"
  ATBGDEV1 = "GEN/DEVELOP SKILLS/IDENTIFY MAIN IDEAS"
  ATBGDEV2 = "GEN/DEVELOP SKILLS/EXPLAIN,SUPPORT"
  ATBGDEV3 = "GEN/DEVELOP SKILLS/COMPARE W EXPERIENCES"
  ATBGDEV4 = "GEN/DEVELOP SKILLS/COMPARE W OTH THINGS"
  ATBGDEV5 = "GEN/DEVELOP SKILLS/MAKE PREDICTIONS"
  ATBGDEV6 = "GEN/DEVELOP SKILLS/MAKE GENERALIZATIONS"
  ATBGDEV7 = "GEN/DEVELOP SKILLS/DESCRIBE STYLE OF TXT"
  ATBGDEV8 = "GEN/DEVELOP SKILLS/OTHER"
  ATBGPRT1 = "GEN/PART RDG INSTR/WATCH FILM VERSIONS"
  ATBGPRT2 = "GEN/PART RDG INSTR/WATCH TO OBTAIN INFO"
  ATBGPRT3 = "GEN/PART RDG INSTR/COMPARE MATERIAL"
  ATBGPCAV = "GEN/PC AVAILABLE FOR CLS"
  ATBGPC1  = "GEN/PC/1 OR MORE AVAILABLE IN CLSROOM"
  ATBGPC2  = "GEN/PC/AVAILABLE ELSEWHERE IN SCH"
  ATBGWWW  = "GEN/PC/ACCESS TO INTERNET"
  ATBGPCA1 = "GEN/PC USE/TO FIND INFORMATION"
  ATBGPCA2 = "GEN/PC USE/READ STORIES,TEXTS"
  ATBGPCA3 = "GEN/PC USE/SOFTWARE TO DEVELOP SKILLS"
  ATBGPCA4 = "GEN/PC USE/WRITE STORIES,TEXTS"
  ATBGPCA5 = "GEN/PC USE/TO COMMUNICATE,FOR PROJECTS"
  ATBGLICR = "GEN/LIBRARY,RDG CORNER IN CLSROOM"
  ATBGLIBK = "GEN/LIBRARY/BKS W DIFF TITLES"
  ATBGLIMG = "GEN/LIBRARY/MAGAZINES W DIFF TITLES"
  ATBGLIUS = "GEN/LIBRARY/TIME TO USE"
  ATBGLIBW = "GEN/LIBRARY/BORROW BKS TO TAKE HOME"
  ATBGSDLI = "GEN/SEND STD TO SCH LIBRARY"
  ATBGRHW1 = "GEN/ASSIGN RDG AS PART OF HMWORK"
  ATBGRHW2 = "GEN/EXPECTED TIME FOR HMWORK"
  ATBGDIF1 = "GEN/DIFFICULTIES/SPECIALIST IN CLSROOM"
  ATBGDIF2 = "GEN/DIFFICULTIES/SPECIALIST EXTRA"
  ATBGDIF3 = "GEN/DIFFICULTIES/TCH-AID IN CLSROOM"
  ATBGDIF4 = "GEN/DIFFICULTIES/OTH PROFESSIONALS"
  ATBGBRD1 = "GEN/BEHIND IN RDG/WAIT"
  ATBGBRD2 = "GEN/BEHIND IN RDG/RDG INDIVIDUAL W STD"
  ATBGBRD3 = "GEN/BEHIND IN RDG/ALL STD IN CLSROOM"
  ATBGBRD4 = "GEN/BEHIND IN RDG/TCH-AID IN CLSROOM"
  ATBGBRD5 = "GEN/BEHIND IN RDG/SPECIALIST IN CLSROOM"
  ATBGBRD6 = "GEN/BEHIND IN RDG/SPECIALIST EXTRA"
  ATBGBRD7 = "GEN/BEHIND IN RDG/OTHER"
  ATBGPRO1 = "GEN/RDG PROGRESS/DIAGNOSTIC TESTS"
  ATBGPRO2 = "GEN/RDG PROGRESS/CLSROOM TESTS"
  ATBGPRO3 = "GEN/RDG PROGRESS/NATIONAL EXAMINATIONS"
  ATBGPRO4 = "GEN/RDG PROGRESS/STANDARDIZED TESTS"
  ATBGPRO5 = "GEN/RDG PROGRESS/OWN PROFESSION. OPINION"
  ATBGPFM1 = "GEN/PERFORMANCE/MULTIPLE-CHOICE QUESTION"
  ATBGPFM2 = "GEN/PERFORMANCE/SHORT-ANSWER QUESTIONS"
  ATBGPFM3 = "GEN/PERFORMANCE/-LENGTH RESPONSES"
  ATBGPFM4 = "GEN/PERFORMANCE/LISTENING TO RDG ALOUD"
  ATBGPFM5 = "GEN/PERFORMANCE/DETERMINING RDG ACCURACY"
  ATBGPFM6 = "GEN/PERFORMANCE/ORAL QUESTIONING OF STD"
  ATBGPFM7 = "GEN/PERFORMANCE/ORAL SUMMARY,REPORT"
  ATBGPFM8 = "GEN/PERFORMANCE/MEETING W STD TO DISCUSS"
  ATBGPFOL = "GEN/PORTFOLIOS PART OF RDG PROGRESS"
  ATBGOPP1 = "GEN/DEVELOPMENT/SCH OFFERS ADEQUATE TIME"
  ATBGOPP2 = "GEN/DEVELOPMENT/SCH OFFERS PROGRAM"
  ATBGOPP3 = "GEN/DEVELOPMENT/SCH OFFERS INCENTIVES"
  ATBGMEET = "GEN/MEETING W TCH FOR DISCUSS,PLAN CURR"
  ATBGPAR1 = "GEN/4TH GRADE STD/MEET PAR TO DISCUSS"
  ATBGPAR2 = "GEN/4TH GRADE STD/SEND EXAMPLES HOME"
  ATBGGOOD = "GEN/4TH GRADE STD GROW UP TO GOOD READER"
  ATBGTAUG = "GEN/YEARS TAUGHT/ALTOGETHER"
  ATBG4TAU = "GEN/YEARS TAUGHT/4TH GRADE"
  ATBGAGE  = "GEN/AGE OF TEACHER"
  ATBGSEX  = "GEN/SEX OF TEACHER"
  ATBGEDUC = "GEN/HIGHEST LEVEL OF FORMAL EDUCATION"
  ATBGCERT = "GEN/TEACHING CERTIFICATE"
  ATBGARE1 = "GEN/STUDY AREAS/LANGUAGE"
  ATBGARE2 = "GEN/STUDY AREAS/LITERATURE"
  ATBGARE3 = "GEN/STUDY AREAS/PEDAGOGY,TEACHING RDG"
  ATBGARE4 = "GEN/STUDY AREAS/PSYCHOLOGY"
  ATBGARE5 = "GEN/STUDY AREAS/REMEDIAL RDG"
  ATBGARE6 = "GEN/STUDY AREAS/RDG THEORY"
  ATBGARE7 = "GEN/STUDY AREAS/CHD LANGUAGE DEVELOPMENT"
  ATBGARE8 = "GEN/STUDY AREAS/SPECIAL EDUCATION"
  ATBGARE9 = "GEN/STUDY AREAS/OTHER"
  ATBGSEMI = "GEN/TIME SPENT IN SEMINARS DEALT W RDG"
  ATBGRD1  = "GEN/READ/BKS RELATED TO TEACHING IN GEN"
  ATBGRD2  = "GEN/READ/BKS RELATED TO TEACHING RDG"
  ATBGRD3  = "GEN/READ/CHD BKS"
  ATBGRRE1 = "GEN/RDG REASONS/FOR WORK"
  ATBGRRE2 = "GEN/RDG REASONS/FOR ENJOYMENT"
  ATBGRRE3 = "GEN/RDG REASONS/TO GET NEWS"
  ATBGRRE4 = "GEN/RDG REASONS/FOR MY EDUCATION,SCHOOL"
  ATBGRRE5 = "GEN/RDG REASONS/OTHER REASONS"
  ATBG4TCH = "GEN/OTHER TCH WHO TCH 4TH GRADE"
  ATBGCOMP = "GEN/TIME TO COMPLETE QUESTIONNAIRE"
  DPCDATE  = "DATE OF CREATION AT DPC"
  ATDGPAR2 = "TEACHER SEND HOME EXAMPLE OF STDENT WORK"
  ATDGACAV = "AVERAGE HRS/LANGUAGE INSTRUCTION P. WEEK"
  ATDGHRTW = "HRS/READING TAUGHT WEEKLY(FORMAL+INTEG.)"
  ATDGFRIT = "AVERAGE HRS/FORMAL READING INSTR./WEEK"
  ATDGORG  = "TEACHER USE VARIETY OF ORGAN. APPROACHES"
  ATDGCSTD = "READING CLASS SIZE"
  ATDGDIF1 = "READING SPECIALIST AVAILABLE"
  ATDGDIF2 = "NO ACCESS TO ANY SPECIALIST"
  ATDGBRDX = "TEACHER HAS STUD. WORK WTH READING SPEC."
  ATDGBRDY = "TEACHER USE MULTIPLE METHODS"
  ATDGASK  = "AT LEAST 3 RDG COMP ACTS AFTER INSTRUCT"
  ATDGLIB  = "STUDENTS OVERALL LIBRARY USE IN SCHOOLS"
  ATDGRHW  = "INDEX OF READING FOR HOMEWORK (RFH)"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF IDPOP    = 8                THEN IDPOP    = .A ;
IF INPRL01  = 8                THEN INPRL01  = .A ;
IF ATBGCSTD = 98               THEN ATBGCSTD = .A ;
IF ATBG4STD = 98               THEN ATBG4STD = .A ;
IF ATBGRLEV = 8                THEN ATBGRLEV = .A ;
IF ATBGDIFU = 98               THEN ATBGDIFU = .A ;
IF ATBGNDIN = 98               THEN ATBGNDIN = .A ;
IF ATBGRCIN = 98               THEN ATBGRCIN = .A ;
IF ATBGRCEN = 98               THEN ATBGRCEN = .A ;
IF ATBGTCH  = 8                THEN ATBGTCH  = .A ;
IF ATBGACTH = 98               THEN ATBGACTH = .A ;
IF ATBGACTM = 98               THEN ATBGACTM = .A ;
IF ATBGHMW1 = 8                THEN ATBGHMW1 = .A ;
IF ATBGHMW2 = 8                THEN ATBGHMW2 = .A ;
IF ATBGRTCH = 8                THEN ATBGRTCH = .A ;
IF ATBGRINH = 98               THEN ATBGRINH = .A ;
IF ATBGRINM = 98               THEN ATBGRINM = .A ;
IF ATBGFRIN = 8                THEN ATBGFRIN = .A ;
IF ATBGFRDH = 98               THEN ATBGFRDH = .A ;
IF ATBGFRDM = 98               THEN ATBGFRDM = .A ;
IF ATBGRACT = 8                THEN ATBGRACT = .A ;
IF ATBGORG1 = 8                THEN ATBGORG1 = .A ;
IF ATBGORG2 = 8                THEN ATBGORG2 = .A ;
IF ATBGORG3 = 8                THEN ATBGORG3 = .A ;
IF ATBGORG4 = 8                THEN ATBGORG4 = .A ;
IF ATBGORG5 = 8                THEN ATBGORG5 = .A ;
IF ATBGRES1 = 8                THEN ATBGRES1 = .A ;
IF ATBGRES2 = 8                THEN ATBGRES2 = .A ;
IF ATBGRES3 = 8                THEN ATBGRES3 = .A ;
IF ATBGRES4 = 8                THEN ATBGRES4 = .A ;
IF ATBGRES5 = 8                THEN ATBGRES5 = .A ;
IF ATBGRES6 = 8                THEN ATBGRES6 = .A ;
IF ATBGRES7 = 8                THEN ATBGRES7 = .A ;
IF ATBGTXT1 = 8                THEN ATBGTXT1 = .A ;
IF ATBGTXT2 = 8                THEN ATBGTXT2 = .A ;
IF ATBGTXT3 = 8                THEN ATBGTXT3 = .A ;
IF ATBGTXT4 = 8                THEN ATBGTXT4 = .A ;
IF ATBGTXT5 = 8                THEN ATBGTXT5 = .A ;
IF ATBGTXT6 = 8                THEN ATBGTXT6 = .A ;
IF ATBGTXT7 = 8                THEN ATBGTXT7 = .A ;
IF ATBGTXT8 = 8                THEN ATBGTXT8 = .A ;
IF ATBGUMAT = 8                THEN ATBGUMAT = .A ;
IF ATBGRA1  = 8                THEN ATBGRA1  = .A ;
IF ATBGRA2  = 8                THEN ATBGRA2  = .A ;
IF ATBGRA3  = 8                THEN ATBGRA3  = .A ;
IF ATBGRA4  = 8                THEN ATBGRA4  = .A ;
IF ATBGRA5  = 8                THEN ATBGRA5  = .A ;
IF ATBGRA6  = 8                THEN ATBGRA6  = .A ;
IF ATBGRA7  = 8                THEN ATBGRA7  = .A ;
IF ATBGRA8  = 8                THEN ATBGRA8  = .A ;
IF ATBGRA9  = 8                THEN ATBGRA9  = .A ;
IF ATBGRA10 = 8                THEN ATBGRA10 = .A ;
IF ATBGASK1 = 8                THEN ATBGASK1 = .A ;
IF ATBGASK2 = 8                THEN ATBGASK2 = .A ;
IF ATBGASK3 = 8                THEN ATBGASK3 = .A ;
IF ATBGASK4 = 8                THEN ATBGASK4 = .A ;
IF ATBGASK5 = 8                THEN ATBGASK5 = .A ;
IF ATBGASK6 = 8                THEN ATBGASK6 = .A ;
IF ATBGASK7 = 8                THEN ATBGASK7 = .A ;
IF ATBGASK8 = 8                THEN ATBGASK8 = .A ;
IF ATBGDEV1 = 8                THEN ATBGDEV1 = .A ;
IF ATBGDEV2 = 8                THEN ATBGDEV2 = .A ;
IF ATBGDEV3 = 8                THEN ATBGDEV3 = .A ;
IF ATBGDEV4 = 8                THEN ATBGDEV4 = .A ;
IF ATBGDEV5 = 8                THEN ATBGDEV5 = .A ;
IF ATBGDEV6 = 8                THEN ATBGDEV6 = .A ;
IF ATBGDEV7 = 8                THEN ATBGDEV7 = .A ;
IF ATBGDEV8 = 8                THEN ATBGDEV8 = .A ;
IF ATBGPRT1 = 8                THEN ATBGPRT1 = .A ;
IF ATBGPRT2 = 8                THEN ATBGPRT2 = .A ;
IF ATBGPRT3 = 8                THEN ATBGPRT3 = .A ;
IF ATBGPCAV = 8                THEN ATBGPCAV = .A ;
IF ATBGPC1  = 8                THEN ATBGPC1  = .A ;
IF ATBGPC2  = 8                THEN ATBGPC2  = .A ;
IF ATBGWWW  = 8                THEN ATBGWWW  = .A ;
IF ATBGPCA1 = 8                THEN ATBGPCA1 = .A ;
IF ATBGPCA2 = 8                THEN ATBGPCA2 = .A ;
IF ATBGPCA3 = 8                THEN ATBGPCA3 = .A ;
IF ATBGPCA4 = 8                THEN ATBGPCA4 = .A ;
IF ATBGPCA5 = 8                THEN ATBGPCA5 = .A ;
IF ATBGLICR = 8                THEN ATBGLICR = .A ;
IF ATBGLIBK = 9998             THEN ATBGLIBK = .A ;
IF ATBGLIMG = 998              THEN ATBGLIMG = .A ;
IF ATBGLIUS = 8                THEN ATBGLIUS = .A ;
IF ATBGLIBW = 8                THEN ATBGLIBW = .A ;
IF ATBGSDLI = 8                THEN ATBGSDLI = .A ;
IF ATBGRHW1 = 8                THEN ATBGRHW1 = .A ;
IF ATBGRHW2 = 8                THEN ATBGRHW2 = .A ;
IF ATBGDIF1 = 8                THEN ATBGDIF1 = .A ;
IF ATBGDIF2 = 8                THEN ATBGDIF2 = .A ;
IF ATBGDIF3 = 8                THEN ATBGDIF3 = .A ;
IF ATBGDIF4 = 8                THEN ATBGDIF4 = .A ;
IF ATBGBRD1 = 8                THEN ATBGBRD1 = .A ;
IF ATBGBRD2 = 8                THEN ATBGBRD2 = .A ;
IF ATBGBRD3 = 8                THEN ATBGBRD3 = .A ;
IF ATBGBRD4 = 8                THEN ATBGBRD4 = .A ;
IF ATBGBRD5 = 8                THEN ATBGBRD5 = .A ;
IF ATBGBRD6 = 8                THEN ATBGBRD6 = .A ;
IF ATBGBRD7 = 8                THEN ATBGBRD7 = .A ;
IF ATBGPRO1 = 8                THEN ATBGPRO1 = .A ;
IF ATBGPRO2 = 8                THEN ATBGPRO2 = .A ;
IF ATBGPRO3 = 8                THEN ATBGPRO3 = .A ;
IF ATBGPRO4 = 8                THEN ATBGPRO4 = .A ;
IF ATBGPRO5 = 8                THEN ATBGPRO5 = .A ;
IF ATBGPFM1 = 8                THEN ATBGPFM1 = .A ;
IF ATBGPFM2 = 8                THEN ATBGPFM2 = .A ;
IF ATBGPFM3 = 8                THEN ATBGPFM3 = .A ;
IF ATBGPFM4 = 8                THEN ATBGPFM4 = .A ;
IF ATBGPFM5 = 8                THEN ATBGPFM5 = .A ;
IF ATBGPFM6 = 8                THEN ATBGPFM6 = .A ;
IF ATBGPFM7 = 8                THEN ATBGPFM7 = .A ;
IF ATBGPFM8 = 8                THEN ATBGPFM8 = .A ;
IF ATBGPFOL = 8                THEN ATBGPFOL = .A ;
IF ATBGOPP1 = 8                THEN ATBGOPP1 = .A ;
IF ATBGOPP2 = 8                THEN ATBGOPP2 = .A ;
IF ATBGOPP3 = 8                THEN ATBGOPP3 = .A ;
IF ATBGMEET = 98               THEN ATBGMEET = .A ;
IF ATBGPAR1 = 8                THEN ATBGPAR1 = .A ;
IF ATBGPAR2 = 8                THEN ATBGPAR2 = .A ;
IF ATBGGOOD = 8                THEN ATBGGOOD = .A ;
IF ATBGTAUG = 98               THEN ATBGTAUG = .A ;
IF ATBG4TAU = 98               THEN ATBG4TAU = .A ;
IF ATBGAGE  = 8                THEN ATBGAGE  = .A ;
IF ATBGSEX  = 8                THEN ATBGSEX  = .A ;
IF ATBGEDUC = 8                THEN ATBGEDUC = .A ;
IF ATBGCERT = 8                THEN ATBGCERT = .A ;
IF ATBGARE1 = 8                THEN ATBGARE1 = .A ;
IF ATBGARE2 = 8                THEN ATBGARE2 = .A ;
IF ATBGARE3 = 8                THEN ATBGARE3 = .A ;
IF ATBGARE4 = 8                THEN ATBGARE4 = .A ;
IF ATBGARE5 = 8                THEN ATBGARE5 = .A ;
IF ATBGARE6 = 8                THEN ATBGARE6 = .A ;
IF ATBGARE7 = 8                THEN ATBGARE7 = .A ;
IF ATBGARE8 = 8                THEN ATBGARE8 = .A ;
IF ATBGARE9 = 8                THEN ATBGARE9 = .A ;
IF ATBGSEMI = 8                THEN ATBGSEMI = .A ;
IF ATBGRD1  = 8                THEN ATBGRD1  = .A ;
IF ATBGRD2  = 8                THEN ATBGRD2  = .A ;
IF ATBGRD3  = 8                THEN ATBGRD3  = .A ;
IF ATBGRRE1 = 8                THEN ATBGRRE1 = .A ;
IF ATBGRRE2 = 8                THEN ATBGRRE2 = .A ;
IF ATBGRRE3 = 8                THEN ATBGRRE3 = .A ;
IF ATBGRRE4 = 8                THEN ATBGRRE4 = .A ;
IF ATBGRRE5 = 8                THEN ATBGRRE5 = .A ;
IF ATBG4TCH = 8                THEN ATBG4TCH = .A ;
IF ATBGCOMP = 998              THEN ATBGCOMP = .A ;
IF ATDGPAR2 = 8                THEN ATDGPAR2 = .A ;
IF ATDGACAV = 98               THEN ATDGACAV = .A ;
IF ATDGHRTW = 8                THEN ATDGHRTW = .A ;
IF ATDGFRIT = 98               THEN ATDGFRIT = .A ;
IF ATDGORG  = 8                THEN ATDGORG  = .A ;
IF ATDGCSTD = 8                THEN ATDGCSTD = .A ;
IF ATDGDIF1 = 8                THEN ATDGDIF1 = .A ;
IF ATDGDIF2 = 8                THEN ATDGDIF2 = .A ;
IF ATDGBRDX = 8                THEN ATDGBRDX = .A ;
IF ATDGBRDY = 8                THEN ATDGBRDY = .A ;
IF ATDGASK  = 8                THEN ATDGASK  = .A ;
IF ATDGLIB  = 8                THEN ATDGLIB  = .A ;
IF ATDGRHW  = 8                THEN ATDGRHW  = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes;

IF ATBGHMW2 = 6                THEN ATBGHMW2 = .B ;
IF ATBGFRDH = 96               THEN ATBGFRDH = .B ;
IF ATBGFRDM = 96               THEN ATBGFRDM = .B ;
IF ATBGPC1  = 6                THEN ATBGPC1  = .B ;
IF ATBGPC2  = 6                THEN ATBGPC2  = .B ;
IF ATBGWWW  = 6                THEN ATBGWWW  = .B ;
IF ATBGPCA1 = 6                THEN ATBGPCA1 = .B ;
IF ATBGPCA2 = 6                THEN ATBGPCA2 = .B ;
IF ATBGPCA3 = 6                THEN ATBGPCA3 = .B ;
IF ATBGPCA4 = 6                THEN ATBGPCA4 = .B ;
IF ATBGPCA5 = 6                THEN ATBGPCA5 = .B ;
IF ATBGLIBK = 9996             THEN ATBGLIBK = .B ;
IF ATBGLIMG = 996              THEN ATBGLIMG = .B ;
IF ATBGLIUS = 6                THEN ATBGLIUS = .B ;
IF ATBGLIBW = 6                THEN ATBGLIBW = .B ;
IF ATBGRHW2 = 6                THEN ATBGRHW2 = .B ;

%PUT INFO: recode omitted data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF IDPOP    = 9                THEN IDPOP    = . ;
IF INPRL01  = 9                THEN INPRL01  = . ;
IF ATBGCSTD = 99               THEN ATBGCSTD = . ;
IF ATBG4STD = 99               THEN ATBG4STD = . ;
IF ATBGRLEV = 9                THEN ATBGRLEV = . ;
IF ATBGDIFU = 99               THEN ATBGDIFU = . ;
IF ATBGNDIN = 99               THEN ATBGNDIN = . ;
IF ATBGRCIN = 99               THEN ATBGRCIN = . ;
IF ATBGRCEN = 99               THEN ATBGRCEN = . ;
IF ATBGTCH  = 9                THEN ATBGTCH  = . ;
IF ATBGACTH = 99               THEN ATBGACTH = . ;
IF ATBGACTM = 99               THEN ATBGACTM = . ;
IF ATBGHMW1 = 9                THEN ATBGHMW1 = . ;
IF ATBGHMW2 = 9                THEN ATBGHMW2 = . ;
IF ATBGRTCH = 9                THEN ATBGRTCH = . ;
IF ATBGRINH = 99               THEN ATBGRINH = . ;
IF ATBGRINM = 99               THEN ATBGRINM = . ;
IF ATBGFRIN = 9                THEN ATBGFRIN = . ;
IF ATBGFRDH = 99               THEN ATBGFRDH = . ;
IF ATBGFRDM = 99               THEN ATBGFRDM = . ;
IF ATBGRACT = 9                THEN ATBGRACT = . ;
IF ATBGORG1 = 9                THEN ATBGORG1 = . ;
IF ATBGORG2 = 9                THEN ATBGORG2 = . ;
IF ATBGORG3 = 9                THEN ATBGORG3 = . ;
IF ATBGORG4 = 9                THEN ATBGORG4 = . ;
IF ATBGORG5 = 9                THEN ATBGORG5 = . ;
IF ATBGRES1 = 9                THEN ATBGRES1 = . ;
IF ATBGRES2 = 9                THEN ATBGRES2 = . ;
IF ATBGRES3 = 9                THEN ATBGRES3 = . ;
IF ATBGRES4 = 9                THEN ATBGRES4 = . ;
IF ATBGRES5 = 9                THEN ATBGRES5 = . ;
IF ATBGRES6 = 9                THEN ATBGRES6 = . ;
IF ATBGRES7 = 9                THEN ATBGRES7 = . ;
IF ATBGTXT1 = 9                THEN ATBGTXT1 = . ;
IF ATBGTXT2 = 9                THEN ATBGTXT2 = . ;
IF ATBGTXT3 = 9                THEN ATBGTXT3 = . ;
IF ATBGTXT4 = 9                THEN ATBGTXT4 = . ;
IF ATBGTXT5 = 9                THEN ATBGTXT5 = . ;
IF ATBGTXT6 = 9                THEN ATBGTXT6 = . ;
IF ATBGTXT7 = 9                THEN ATBGTXT7 = . ;
IF ATBGTXT8 = 9                THEN ATBGTXT8 = . ;
IF ATBGUMAT = 9                THEN ATBGUMAT = . ;
IF ATBGRA1  = 9                THEN ATBGRA1  = . ;
IF ATBGRA2  = 9                THEN ATBGRA2  = . ;
IF ATBGRA3  = 9                THEN ATBGRA3  = . ;
IF ATBGRA4  = 9                THEN ATBGRA4  = . ;
IF ATBGRA5  = 9                THEN ATBGRA5  = . ;
IF ATBGRA6  = 9                THEN ATBGRA6  = . ;
IF ATBGRA7  = 9                THEN ATBGRA7  = . ;
IF ATBGRA8  = 9                THEN ATBGRA8  = . ;
IF ATBGRA9  = 9                THEN ATBGRA9  = . ;
IF ATBGRA10 = 9                THEN ATBGRA10 = . ;
IF ATBGASK1 = 9                THEN ATBGASK1 = . ;
IF ATBGASK2 = 9                THEN ATBGASK2 = . ;
IF ATBGASK3 = 9                THEN ATBGASK3 = . ;
IF ATBGASK4 = 9                THEN ATBGASK4 = . ;
IF ATBGASK5 = 9                THEN ATBGASK5 = . ;
IF ATBGASK6 = 9                THEN ATBGASK6 = . ;
IF ATBGASK7 = 9                THEN ATBGASK7 = . ;
IF ATBGASK8 = 9                THEN ATBGASK8 = . ;
IF ATBGDEV1 = 9                THEN ATBGDEV1 = . ;
IF ATBGDEV2 = 9                THEN ATBGDEV2 = . ;
IF ATBGDEV3 = 9                THEN ATBGDEV3 = . ;
IF ATBGDEV4 = 9                THEN ATBGDEV4 = . ;
IF ATBGDEV5 = 9                THEN ATBGDEV5 = . ;
IF ATBGDEV6 = 9                THEN ATBGDEV6 = . ;
IF ATBGDEV7 = 9                THEN ATBGDEV7 = . ;
IF ATBGDEV8 = 9                THEN ATBGDEV8 = . ;
IF ATBGPRT1 = 9                THEN ATBGPRT1 = . ;
IF ATBGPRT2 = 9                THEN ATBGPRT2 = . ;
IF ATBGPRT3 = 9                THEN ATBGPRT3 = . ;
IF ATBGPCAV = 9                THEN ATBGPCAV = . ;
IF ATBGPC1  = 9                THEN ATBGPC1  = . ;
IF ATBGPC2  = 9                THEN ATBGPC2  = . ;
IF ATBGWWW  = 9                THEN ATBGWWW  = . ;
IF ATBGPCA1 = 9                THEN ATBGPCA1 = . ;
IF ATBGPCA2 = 9                THEN ATBGPCA2 = . ;
IF ATBGPCA3 = 9                THEN ATBGPCA3 = . ;
IF ATBGPCA4 = 9                THEN ATBGPCA4 = . ;
IF ATBGPCA5 = 9                THEN ATBGPCA5 = . ;
IF ATBGLICR = 9                THEN ATBGLICR = . ;
IF ATBGLIBK = 9999             THEN ATBGLIBK = . ;
IF ATBGLIMG = 999              THEN ATBGLIMG = . ;
IF ATBGLIUS = 9                THEN ATBGLIUS = . ;
IF ATBGLIBW = 9                THEN ATBGLIBW = . ;
IF ATBGSDLI = 9                THEN ATBGSDLI = . ;
IF ATBGRHW1 = 9                THEN ATBGRHW1 = . ;
IF ATBGRHW2 = 9                THEN ATBGRHW2 = . ;
IF ATBGDIF1 = 9                THEN ATBGDIF1 = . ;
IF ATBGDIF2 = 9                THEN ATBGDIF2 = . ;
IF ATBGDIF3 = 9                THEN ATBGDIF3 = . ;
IF ATBGDIF4 = 9                THEN ATBGDIF4 = . ;
IF ATBGBRD1 = 9                THEN ATBGBRD1 = . ;
IF ATBGBRD2 = 9                THEN ATBGBRD2 = . ;
IF ATBGBRD3 = 9                THEN ATBGBRD3 = . ;
IF ATBGBRD4 = 9                THEN ATBGBRD4 = . ;
IF ATBGBRD5 = 9                THEN ATBGBRD5 = . ;
IF ATBGBRD6 = 9                THEN ATBGBRD6 = . ;
IF ATBGBRD7 = 9                THEN ATBGBRD7 = . ;
IF ATBGPRO1 = 9                THEN ATBGPRO1 = . ;
IF ATBGPRO2 = 9                THEN ATBGPRO2 = . ;
IF ATBGPRO3 = 9                THEN ATBGPRO3 = . ;
IF ATBGPRO4 = 9                THEN ATBGPRO4 = . ;
IF ATBGPRO5 = 9                THEN ATBGPRO5 = . ;
IF ATBGPFM1 = 9                THEN ATBGPFM1 = . ;
IF ATBGPFM2 = 9                THEN ATBGPFM2 = . ;
IF ATBGPFM3 = 9                THEN ATBGPFM3 = . ;
IF ATBGPFM4 = 9                THEN ATBGPFM4 = . ;
IF ATBGPFM5 = 9                THEN ATBGPFM5 = . ;
IF ATBGPFM6 = 9                THEN ATBGPFM6 = . ;
IF ATBGPFM7 = 9                THEN ATBGPFM7 = . ;
IF ATBGPFM8 = 9                THEN ATBGPFM8 = . ;
IF ATBGPFOL = 9                THEN ATBGPFOL = . ;
IF ATBGOPP1 = 9                THEN ATBGOPP1 = . ;
IF ATBGOPP2 = 9                THEN ATBGOPP2 = . ;
IF ATBGOPP3 = 9                THEN ATBGOPP3 = . ;
IF ATBGMEET = 99               THEN ATBGMEET = . ;
IF ATBGPAR1 = 9                THEN ATBGPAR1 = . ;
IF ATBGPAR2 = 9                THEN ATBGPAR2 = . ;
IF ATBGGOOD = 9                THEN ATBGGOOD = . ;
IF ATBGTAUG = 99               THEN ATBGTAUG = . ;
IF ATBG4TAU = 99               THEN ATBG4TAU = . ;
IF ATBGAGE  = 9                THEN ATBGAGE  = . ;
IF ATBGSEX  = 9                THEN ATBGSEX  = . ;
IF ATBGEDUC = 9                THEN ATBGEDUC = . ;
IF ATBGCERT = 9                THEN ATBGCERT = . ;
IF ATBGARE1 = 9                THEN ATBGARE1 = . ;
IF ATBGARE2 = 9                THEN ATBGARE2 = . ;
IF ATBGARE3 = 9                THEN ATBGARE3 = . ;
IF ATBGARE4 = 9                THEN ATBGARE4 = . ;
IF ATBGARE5 = 9                THEN ATBGARE5 = . ;
IF ATBGARE6 = 9                THEN ATBGARE6 = . ;
IF ATBGARE7 = 9                THEN ATBGARE7 = . ;
IF ATBGARE8 = 9                THEN ATBGARE8 = . ;
IF ATBGARE9 = 9                THEN ATBGARE9 = . ;
IF ATBGSEMI = 9                THEN ATBGSEMI = . ;
IF ATBGRD1  = 9                THEN ATBGRD1  = . ;
IF ATBGRD2  = 9                THEN ATBGRD2  = . ;
IF ATBGRD3  = 9                THEN ATBGRD3  = . ;
IF ATBGRRE1 = 9                THEN ATBGRRE1 = . ;
IF ATBGRRE2 = 9                THEN ATBGRRE2 = . ;
IF ATBGRRE3 = 9                THEN ATBGRRE3 = . ;
IF ATBGRRE4 = 9                THEN ATBGRRE4 = . ;
IF ATBGRRE5 = 9                THEN ATBGRRE5 = . ;
IF ATBG4TCH = 9                THEN ATBG4TCH = . ;
IF ATBGCOMP = 999              THEN ATBGCOMP = . ;
IF ATDGPAR2 = 9                THEN ATDGPAR2 = . ;
IF ATDGACAV = 99               THEN ATDGACAV = . ;
IF ATDGHRTW = 9                THEN ATDGHRTW = . ;
IF ATDGFRIT = 99               THEN ATDGFRIT = . ;
IF ATDGORG  = 9                THEN ATDGORG  = . ;
IF ATDGCSTD = 9                THEN ATDGCSTD = . ;
IF ATDGDIF1 = 9                THEN ATDGDIF1 = . ;
IF ATDGDIF2 = 9                THEN ATDGDIF2 = . ;
IF ATDGBRDX = 9                THEN ATDGBRDX = . ;
IF ATDGBRDY = 9                THEN ATDGBRDY = . ;
IF ATDGASK  = 9                THEN ATDGASK  = . ;
IF ATDGLIB  = 9                THEN ATDGLIB  = . ;
IF ATDGRHW  = 9                THEN ATDGRHW  = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

proc sort ; by idcntry idteach idlink;
       %let i = %eval(&i + 1);
     %end;
run;
%mend doit;

%doit;






