
title "Example 3: PIRLS 2001 User Guide";

libname ar1 "c:\pirls\data";
%include "c:\pirls\Programs\jackpv.sas";

data studteac;
 set ar1.astargr1
     ar1.astbgrr1
     ar1.astswer1
     ar1.astturr1
     ar1.astusar1;

proc sort data=studteac;
     by idcntry idteach idlink;

data teacher;
 set ar1.atgargr1
     ar1.atgbgrr1
     ar1.atgswer1
     ar1.atgturr1
     ar1.atgusar1;

proc sort data=teacher;
     by idcntry idteach idlink;

* Now merge the two files;
data merged;
     merge studteac teacher;
     by idcntry idteach idlink;
      if nmiss(atbgract) = 0 and inprl01 = 1;

* Define the format for the variables used;
proc format library=work;
 value country
     32="Argentina" 100="Bulgaria" 752="Sweden" 792="Turkey" 840="United States";
 value ract 1='Every Day' 2='3-4 Days per week' 3='Fewer than 3 days per week';

%jackpv(tchwgt , jkzone, jkrep, 75, idcntry atbgract, asrrea0, 5, merged);

proc print data=final noobs;
     by idcntry ;
     var atbgract N tchwgt mnpv mnpv_se pct pct_se;
     format idcntry country. atbgract ract.
            N 6.0 tchwgt 10.0 mnpv mnpv_se pct pct_se 6.2;

run;

