title "Example 3: PIRLS 2001 User Guide".

add files
 / file = "c:\pirls\data\astargr1.sav"
 / file = "c:\pirls\data\astbgrr1.sav"
 / file = "c:\pirls\data\astswer1.sav"
 / file = "c:\pirls\data\astturr1.sav"
 / file = "c:\pirls\data\astusar1.sav" .

sort cases by idcntry idteach idlink.
save outfile = studteac.

add files
 / file = "c:\pirls\data\atgargr1.sav"
 / file = "c:\pirls\data\atgbgrr1.sav"
 / file = "c:\pirls\data\atgswer1.sav"
 / file = "c:\pirls\data\atgturr1.sav"
 / file = "c:\pirls\data\atgusar1.sav" .

sort cases by idcntry idteach idlink atbgract.

save outfile = teacher.

* Now merge the two files.
match files
  / file=studteac
  / table=teacher
  / by idcntry idteach idlink.

select if not(missing(atbgract)) and inprl01=1.

* Define the format for the variables used.
value labels 
 idcntry  32 'Argentina' 100 'Bulgaria' 752 'Sweden' 792 'Turkey' 840 'United States' /
 atbgract  1 'Every Day' 2 '3-4 Days per week' 3 'Fewer than 3 days per week'.

save outfile = merged.

* Now use the macro to get the results.
include "c:\pirls\programs\jackpv.sps".

jackpv infile= merged           /
       cvar  = idcntry atbgract /
       pvs   = asrrea01 to asrrea05 /
       npv   = 5        /
       jkz   = JKZONE   /
       jkr   = JKREP    /
       njkz  = 75       /
       WGT   = TCHWGT   .

sort cases by idcntry.

print formats n (f6.0) tchwgt (f10.0) mnpv mnpv_se pct pct_se (f6.2).

report format=list automatic
  / var   = atbgract (label) n tchwgt mnpv mnpv_se pct pct_se
  / break = idcntry .
