title "Example 4: PIRLS 2001 User Guide";

libname ar1 "c:\pirls\data";
%include "c:\pirls\Programs\jackpv.sas";

data student;
 set ar1.asgargr1
     ar1.asgbgrr1
     ar1.asgswer1
     ar1.asgturr1
     ar1.asgusar1;

proc sort data=student;
     by idcntry idschool;

data school;
 set ar1.acgargr1
     ar1.acgbgrr1
     ar1.acgswer1
     ar1.acgturr1
     ar1.acgusar1;

proc sort data=school;
     by idcntry idschool;

* Now merge the two files;
data merged;
     merge student school;
     by idcntry idschool;
      if nmiss(acbgcomm) = 0 and inprl01 = 1;

* Define the format for the variables used;
proc format library=work;
 value country
     32="Argentina" 100="Bulgaria" 752="Sweden" 792="Turkey" 840="United States";
 value comm 1='Urban' 2='Suburban' 3='Rural';

%jackpv(totwgt , jkzone, jkrep, 75, idcntry acbgcomm, asrrea0, 5, merged);

proc print data=final noobs;
     by idcntry ;
     var acbgcomm N totwgt mnpv mnpv_se pct pct_se;
     format idcntry country. acbgcomm comm.
            N 6.0 totwgt 10.0 mnpv mnpv_se pct pct_se 6.2;

run;
