
title "Example 5: PIRLS 2001 User Guide";

libname ar1 "c:\pirls\data";
%include "c:\pirls\Programs\jackpv.sas";

data student;
 set ar1.asgargr1
     ar1.asgbgrr1
     ar1.asgswer1
     ar1.asgturr1;

proc sort data=student;
     by idcntry idstud;

data home;
 set ar1.ashargr1
     ar1.ashbgrr1
     ar1.ashswer1
     ar1.ashturr1;

proc sort data=home;
     by idcntry idstud;

* Now merge the two files;
data merged;
     merge student home;
     by idcntry idstud;
      if nmiss(asdhpatr) = 0 and inprl01 = 1;

* Define the format for the variables used;
proc format library=work;
 value country
     32="Argentina" 100="Bulgaria" 752="Sweden" 792="Turkey" 840="United States";
 value patr 1='Low' 2='Medium' 3='High';

%jackpv(totwgt , jkzone, jkrep, 75, idcntry asdhpatr, asrrea0, 5, merged);

proc print data=final noobs;
     by idcntry ;
     var asdhpatr N totwgt mnpv mnpv_se pct pct_se;
     format idcntry country. asdhpatr patr.
            N 6.0 totwgt 10.0 mnpv mnpv_se pct pct_se 6.2;

run;
